Contents

(Version 1.61)
Contents

Welcome to ConceptDraw

  • What's new in this version
  • Powerful Tools
  • It's easy
  • Key Features
  • System requirements
  • Installing ConceptDraw
  • Technical Support
  • Registration
  • The Team

Chapter 1. Working with files

  • Creating a new document
  • Creating a new document from a template
  • Creating a new library
  • Opening a document
  • Opening a library
  • Opening documents and libraries using the workspace
  • Closing a document
  • Saving a document (Save, Save As, Save Copy As)
  • Creating a template file
  • Creating a workspace file
  • Using the Start dialog to create/open documents
  • Sending a document by e-mail
  • Importing files
  • Exporting files
    • Exporting to HTML

Chapter 2. Objects

  • Creating figures
  • Working with handles
  • Selecting objects
    • Smart Selection
  • Moving objects
    • Align Figures
    • Distribute Figures
  • Rotating objects
  • Resizing objects
    • How objects behave within a group
    • Make Same
    • Fit To Text
  • Flipping objects
  • Changing the order in which objects are displayed
  • Deleting objects
  • Duplicating objects
  • Grouping objects
  • Properties of objects
    • Line properties
    • Fill patterns and colors
    • Shadows
    • Copying visual attributes of objects (Same Style)
    • Protection
    • Double click
    • Information
    • Behaviour
    • Hyperlink
  • Additional operations on objects
    • Insert Vertex
    • Combine
    • Join
    • Scattering
  • Connectors
    • Connection to the entire object
    • Connection to a connection point of the object
    • Smart Connector
    • Object Connector. Direct Connector
    • "Connect Figures" and "Direct Connect" tools
    • Auto-connection modes
    • Connection points
  • Pictures
  • Working with text
    • Adding text to a new object
    • Modifying text in an object
    • Creating a "Text" object
    • Changing text styles in selected blocks
    • Modifying Text Properties in selected objects
    • Text alignment
    • Cutting, copying and pasting text
    • Working with Text Box
    • Indents and margins
    • Setting the background color
    • Text Properties dialog
    • Working with text in groups
    • Smart Connector's text
    • Text AutoExpand Mode
  • Undo and redo operations
  • Copying and pasting

Chapter 3. Document

  • Working with the document
    • Zooming
    • Grid
    • Rulers
    • Guide lines
    • Scroll Hand tool
    • Snapping and gluing
    • Scaling in documents
    • Measurements
    • Color Palette
    • Document Properties dialog (General, Page, Settings, Printing tabs)
  • Printing
    • Arranging a document on pages
    • Printing
    • Previewing the document
    • Printer setup
  • Working with document pages
    • Global properties of the pages
    • Printing pages
    • Adding a page
    • Deleting a page
    • Reordering pages
    • Jumping to another page
    • Naming a page
  • Working with layers

Chapter 4. Working with the environment

  • Templates
  • Workspace files
  • Program configuration

Chapter 5. Libraries

  • Library window
  • Library files allocation
  • Opening a library
  • Creating a new library
  • Closing a library
  • Saving a library
  • Library properties
  • Displaying library objects as icons and as text
  • Properties of library objects
  • Inserting a library object into your document
  • Adding an object from the document to a library
  • Copying objects between and within libraries
  • Deleting an object from a library
  • Replacing an object under the existing library icon
  • Stamp Tool

Chapter 6. Working with the table

  • Input field
  • Cells
  • Formulas
  • Sections
    • Transform
    • Geometry
    • Endpoints
    • Controls
    • Connect
    • Variables
    • Line Properties
    • Fill Format
    • Protection
    • Text Transform
    • Character Format
    • Paragraph Format
    • Text Block Format
    • Text Field
    • Miscellaneous
    • Actions

Chapter 7. Functions

Chapter 8. Working with other programs (OLE)

  • Linking
  • Embedding
  • Inserting a new OLE-object
  • Editing an OLE-object
  • Inserting an object from a file
  • Inserting an object from an open OLE-compatible program
  • Creating a new ConceptDraw object in an OLE-compatible program
  • Editing a ConceptDraw object within another OLE-compatible program
  • Inserting an object from a ConceptDraw file into other OLE-compatible programs
  • Inserting an object from an open ConceptDraw document into another OLE-compatible program

Appendix A. Keyboard Shortcuts

Appendix B. Brief Menu Tour


Welcome to ConceptDraw.

Welcome to ConceptDraw - the program for creating business and technical drawings developed by Computer Systems Odessa Corp.

Powerful Tools.

ConceptDraw offers a wide choice of different tools you can use for quickly creating business diagrams, thorough research layouts, schemes, plans, etc. For each object you can assign different line colors, fill colors, fill and shadow patterns. Any object may contain text. The Snap and Glue tools help you align points, lines and objects as you draw them and position them precisely.

Formulas allow you to define various object parameters, which gives you virtually unlimited control over objects.

ConceptDraw's intelligent connectors automatically change their path when you reposition objects, avoiding crossing other objects. And what is more, you can turn any object into a connector.

Connectors let you easily create all kinds of charts: technological or business processes, organization schemes, program project plans, etc.

OLE (Object Linking and Embedding) compatibility means that a ConceptDraw document can be edited within any other OLE-compatible application (for instance, MS Word). And vice versa, any file or document, created in another OLE-compatible program can be embedded into ConceptDraw.

The Import/Export capabilities lets you easily use images stored in files of different formats.

The program provides you with extended Internet capabilities: creating and using hyperlinks, sending documents by e-mail, saving a document in HTML format.

It's easy.

You don't need to have any artistic talent or drawing skills to use this program. Simpler objects can be easily created by using simple graphic segments and the Snap tool, and for more complicated ones you can use our Libraries, supplied with the program, where most of the objects you might need are already gathered for you, and can be easily dragged from there and dropped into your document. Connectors allow you to join objects together and keep them connected even if you reposition the objects.

Key Features.

  • Complete cross-platform compatibility between the Windows and MacOS versions of ConceptDraw. All documents, templates and libraries can be opened as on a Mac as on a PC without conversion.
  • Supports basic elementary segments: line, arc of circle, arc of ellipse, spline.
  • Basic segments can be combined into one object.
  • Text can be associated with objects:
    • Text size and angle can be changed separately of the object.
    • Various text styles are available.
    • Extended formatting options are supported.
  • Extended object properties:
    • More than 30 fill patterns. Gradient fill patterns.
    • Color shadows are supported.
    • More than 60 arrowhead styles.
    • Various object properties can be locked against changes.
    • Changeable double-click action of objects.
    • Adding, multiple selecting, moving, deleting of handles.
  • Advanced operations on objects:
    • Grouping, ungrouping, editing group.
    • Rotating objects, including images.
    • Vertical/Horizontal flipping.
    • The Snap function adds maximum precision to your work.
    • The Glue functionality lets maintain objects connected to each other.
    • Various tools for aligning object with respect to each other and to a guide line.
  • Connectors:
    • When you move objects, connectors reshape accordingly.
    • User-controlled points of connection.
  • Document:
    • Working with multiple pages: adding, deleting, renaming pages.
    • Zooming in on and out from pages.
    • Changeable scaling in the document. Standard scales are supported.
    • Metric and non-metric units of measure are supported.
    • The grid, the rulers and the guide lines help you to create accurate drawings.
    • Working with layers is supported: locking, hiding/showing, changing the layer colors.
    • User-defined color palette.
    • All your work settings can be saved in a workspace file, letting you quickly resume working.
  • Exporting/Importing of the following graphic formats: Windows bitmap, metafile, JPEG, GIF, PICT, EPS.
  • Working with the Internet: creating and using hyperlinks, sending documents via e-mail, saving in the HTML format, searching the Internet.
  • Object parameter table, where any parameter can be changed or specified. Formulas can be used to define various object parameters. More than 60 functions supported.
  • More than 50 supplied document templates for all occasions.
  • Over 70 supplied libraries (about 1700 objects).
  • Object Linking and Embedding (OLE) compatibility.

and more ...

System requirements.

To install and work with ConceptDraw, your system must have the following configuration:

PC computer:

  • Pentium processor or better;
  • 16 MB of RAM or more;
  • CD ROM
  • SVGA monitor, 256 colors (16-bit color recommended);
  • Windows 95/ Windows98/ Windows NT 4.0 system or higher.

Macintosh computer:

  • Power PC processor or better;
  • 32 MB of RAM (64 MB recommended);
  • CD ROM
  • 800x600 resolution, 256 colors monitor (16-bit color recommended);
  • MacOS version 8.0 or higher.

Installing ConceptDraw.

On a Windows system:

  1. Insert your ConceptDraw disk in the CD ROM drive;
  2. Run Setup.exe from the disk;
  3. Follow the instructions that appear on your screen.

During the installation process, all necessary files will be copied on your hard drive. The submenu for ConceptDraw will be created in the Start menu. The setup program will also place the ConceptDraw icon on your desktop.

On a MacOS system:

  1. Insert the ConceptDraw disk into your CD ROM drive.
  2. Run ConceptDraw Installer from the disk.
  3. During the installation process, all necessary files will be copied on your hard drive.

Technical support.

We are always ready to answer your questions, which may arise when you're working with ConceptDraw. We offer you free technical support - if you couldn't find answer to your question in the manual.

The best way to get support is to do this is via electronic mail. Our email technical support works 24 hours a day, 7 days a week. When reporting a problem, please include the following information:

  • Registration number you receive with your copy of the product.
  • ConceptDraw version number
  • Information describing your computer: processor type, amount of RAM, the video adaptor info (make, resolution, number of colors);
  • Your operating system version number.
  • A detailed description of how to reproduce the problem.

Send this information via e-mail at support@conceptdraw.com and we'll do our best to resolve the problem, or answer your question. Replies usually arrive within one business day.

More information about our support programs can be found on the ConceptDraw site http://www.conceptdraw.com. This site is fully dedicated ConceptDraw, and is a perfect source for latest information about the program, newer versions, updates, add-on components, training and some other resources that you can't get in a printed way. Please check it out regularly to get new libraries, samples and other useful things.

Registration.

To become a registered user, you have to fill out the registration form on our site here:
http://www.conceptdraw.com/Register/

Registration give you the following benefits:

  • all registered users get free technical support.
  • registration entitles you to receive notification about product updates, add-on components, and other special offers by e-mail.
  • discounts for later versions of the product.

Don't forget to register your copy!

The Team.

ConceptDraw was created by a large team of professionals: programmers, designers, mathematicians, testers, and many other people. They worked hard to provide you with a high quality product, to make it powerful, beautiful and easy-to-use. All these people work for Computer Systems Odessa.

Computer Systems Odessa is an international corporation, which has been developing and publishing software products of various kinds since 1993. The headquarters of the company are located in the Eastern Europe (the Ukraine), in the wonderful city of Odessa, on the Black Sea coast.

Here you may see the map:
http://www.cs-odessa.com.ua/corporateinfo/im/mapeuro.jpg

And here, get acquainted with our city - Odessa:
http://www.cs-odessa.com.ua/odessa/odessa.html

Our team always keeps up with our customers' needs creating high quality state-of-the-art products. We are always happy to hear your feedbacks and suggestions which do help us improve our products, stimulating us to use cutting-edge technologies for creating up-to-date software which helps you to reach the desired results in your work.

For more detailed information about Computer Systems Odessa, the products and the team, visit the company site at http://www.cs-odessa.com.ua


New Page 2

ConceptDraw 1.6 to 1.61

GENERAL

Bugs fixed

  • EMF pictures couldn't be saved in a library - now fixed.

MAC

Bugs fixed

Common

  • Version 1.6.1 fixes some errors with exporting to PICT.
  • Conversion from PICT to ConceptDraw objects now works better.

Mac OS X

  • Smart Selection mode switcher (Preferences, Miscellaneous tab) is now working correctly (you can toggle Smart Selection mode off/on)
  • Objects with gradient fills are now printed properly.
  • Print Preview didn't work in v1.6 - now fixed.

Mac OS

  • Sometimes objects touched by Select Box wouldn't become selected - now fixed.

WINDOWS

Users of ConceptDraw v1.59 or 1.6 for Windows may skip this update, as there's no important additions or changes.


Working with files

ConceptDraw works with its own file types: document, template, library, workspace. Besides that, the Import/Export functions let you work with data in files created by other applications.

In the Windows version, native ConceptDraw files have the following extensions: document - cdd; template - cdt; library - cdl; workspace - cdw.

Creating a new document.

From the File menu choose New/Document. A blank document window opens.

Note: You can also click the New button [image] on the toolbar.

Ctrl+N Cmd+N

Note: Each new document is based on the Blank Drawing.cdt template file (stored in the Libraries folder). By reconfiguring this template you can modify the defaults for every new document. For more info on how to set new document properties, refer to the "Program Configuration" section.

Creating a new document from a template.

A template includes a document with all its settings (scale, grid, measurement system, etc.) and a list of libraries, needed for working with the document. When you create a new document from a template, the program creates a copy of the document and opens all the libraries, listed in the template file. You work with the copy, while the original document remains intact.
Using templates helps you to focus on the work itself instead of setting up the document page and opening all the required libraries each time.

Templates are especially helpful when several documents must have common basic elements (company Logo, standard header, etc).

To create a new document from a template:

Choice one:
1. Choose New/Browse Templates form the File menu to get the Open dialog
2. In the dialog, use the upper box to navigate to the desired folder.
3. In the main box, open the folder where the file resides by double-clicking the folder.
4. Select a ConceptDraw Template file.
5. Click Open.

Choice Two:
1. On the File menu, click Open, to get the Open dialog
2. In the dialog, use the upper box to navigate to the desired folder.
3. In the box, double-click on folders to open them until you open the folder where your file is stored.
4. In the File of Type box, choose ConceptDraw Template Files (*.cdt)
5. Select the template you want
6. Click Open.

Note: to call the Open dialog, you can also click the Open button [image] on the toolbar.

Ctrl+O Cmd+O

Creating a new library

Library is a set of ConceptDraw objects gathered together. Their icons or names are displayed in a special window, from where they can be copied into a document, or another library.

To create a new library file: on the File menu, select New Library.

Note: if the library window is open, move the pointer over the library title bar, call the context menu and choose New from the menu.

This creates a new empty library, to which you can then add objects from open documents. Don't forget to save the library after you finished working with it.

Opening a document.

To open an existing document:
1. On the File menu, click Open.
2. In the dialog, use the upper box to navigate to the desired folder.
3. In the box, double-click on folders to open them until you open the folder where your file is stored.
4. Select the document file you want to open.
5. Click the Open button.

Note: You can use the Open button [image] on the Standard toolbar.

Ctrl+O Cmd+O

You can also select one of the four documents you last opened or saved, listed on the File menu.

Opening a library

To open an existing library:
1. Choose Open Library from the File menu.
2. In the dialog, use the upper box to navigate to the desired folder.
3. In the box, double-click on folders to open them, until you open the folder where your file is stored.
5. Select the library file you want to open.
6. Click the Open button.
Note: you can also use the Open Library button [image] on the Standard toolbar. If the library window is open, position the pointer over the library title bar, call the context menu, and choose Open from the menu.

Opening documents and libraries using the workspace.

In a workspace file, the program stores a list of open documents and libraries, along with their on-screen arrangement. This allows you to customize your work environment only once and use it repeatedly.

To open a workspace file:
1. On the File menu, click Open.
2. In the dialog, use the upper box to navigate to the desired folder.
3. In the box, double-click on folders to open them, until you open the folder where your file is stored.
4. In the File of Type box, choose ConceptDraw Workspace Files (*.cdw)
5. Select the workspace file you want to open.
6. Click Open.

Closing a document.

On the File menu, click Close.

Saving a document (Save, Save As, Save Copy As)

To save a document:

On the File menu, click Save. If you're saving the document for the first time, the Save As dialog box opens. If you have already saved the document before, your changes will be saved under the previous filename.

To save a document under a new filename:

1. Click Save As (Save Copy As) on the File menu. The Save As dialog opens.
2. Type the document is filename in the corresponding field.
3. In the upper box, choose the drive(volume) and the folder in which you want to store the file.
4. Click Save.

Note: Save As also renames the current document. Save Copy As doesn't change its title.

Note: you can also use the Save button [image] on the toolbar.

Ctrl+S Cmd+S

Creating a template file.

1. Click Save As Template on the File menu. The Save As dialog opens.
2. In the dialog, use the upper box to navigate to the desired folder.
3. Type the template filename in the corresponding field.
4. Click Save.

The document with all its settings and the list of all opened libraries is now saved in the template file.

Saving a workspace file.

1. If necessary, save all open documents and libraries.
2. Click Save Workspace on the File menu. The Save As dialog opens.
3. In the dialog, use the upper box to navigate to the desired folder.
4. Type the workspace filename in the corresponding field.
5. Click Save.

All information about currently opened documents, libraries, their window sizes and other is now saved in the workspace file.

Using the Start dialog to create/open documents

The Start dialog will appear each time you launch the program. It offers the choice of creating a new empty document (the Blank Document option), basing a new document on a template (the Templates option), and opening an existing document (the Open File option).

You can select one by clicking on it with the mouse.

If you prefer ConceptDraw to start without seeing this screen, you can disable the dialog. Click on the check box at the bottom of the dialog, marked "Don't show this screen again" so a check mark is placed there. Later, the Start dialog can be reactivated in the Preferences dialog (Edit/Preferences), Default tab.

Sending a document by e-mail.

1. Click Send on the File menu.
2. If the document contains some unsaved changes, the program will ask you to save them. Then the e-mail message window appears, with the document attached to the message.

In the mail client, you'll have to attach the document file to the message, using the appropriate means of the mailer.

Importing files.

ConceptDraw allows you to import files of the following formats:

bmp - Widows bitmap;
jpg - JPEG format;
gif - GIF format;
wmf - Windows metafile;
emf - enhanced metafile;
pct - MacOS picture format.

To import a file:

1. Choose Import on the File menu to call the Open dialog box.
2. Choose the drive(volume) and folder where the file resides.
3. Select the image file.
4. Click Open.

A new document will be created. The picture from the imported file will be inserted in the centre of the active window of this document.

Note: You can see the contents of the file in the Preview window of the Open File dialog.

Note: For more specifics about inserting and working with different image formats please refer to the "Pictures" section.

The default setting for the File of Type box is "All supported formats". If there are too many files in the folder, you may choose the format you want in this box. Then the main box will only show files of this format.

Exporting files.

ConceptDraw lets you save your document in one of the following formats:

bmp - Windows bitmap;
jpg -JPEG format;
gif - GIF format;
emf - enhanced metafile;
pct - MacOS picture format;
eps - Encapsulated Post-Script format;
htm - HTML file;

To export to one of the supported formats:

1 On the File menu, click Export. The SaveAs dialog box will open.
2 Choose drive(volume) and folder in which you want to store the file.
3 In the lower box choose the file format you want.
4 Click Save.

When exporting to a picture format, the picture properties dialog will come up.

PicturePropDialog.gif (7162 bytes)

In the Image Size section you can switch between two options: Original Size and Fit to Size.
Original Size: If the Use Zoom option is checked, the objects in the export file will be the same size they appear onscreen.
If this option isn't checked, the objects will be saved in their original size, regardless of the currently set zooming.
Fit to Size: here you can assign custom dimensions in pixels for the picture .

The Format area is only accessible when exporting to BMP. Here you can adjust color depth for the image.

When exporting to JPEG, you can specify image quality. By using the slide bar, you can set the quality within 1% to 100% range. Note, that better quality increases the file size. So the default value is 75%.

In the Object section you specify what objects will form the image in the file:
-Selected - all selected on the page.
-All on page - all objects on the page and outside it. The image size will be large enough to fit all objects.
-Whole page - all objects within the page. The image size will equal the page size.

When exporitng to EPS format, in the Page(s) to Export area you can specify which pages of the document you want to be generated in the eps file. Ctrl(Cmd) or Shift can be used for multiple selection.

Exporting to HTML

When you export to HTML, the program brings up the HTML Properties dialog:

ExportHTML.gif (10997 bytes)

At the Save Picture As area you can specify the picture format for the HTML file. You can choose GIF or JPEG. GIF images take up less space, so GIF is set by default. However, if a document contains many colors (over 256), JPEG is preferable. For JPEG images the user can set picture quality (from 1% to 100%). Note that higher quality means larger picture size.

The Objects section allows to choose which objects to use for generating the HTML file:
Whole page - exports the whole page. The resulting HTML page gets the same dimensions as the document page.
All - exports all objects on the page. The size of the HTML page is determined by the number of the objects and their arrangement.
Selected - exports selected objects only.

Original Size: With Use Zoom set to on, the resulting image will be the same size as it looks onscreen. With Use Zoom off, all objects will keep their original size, regardless of currently set zooming.
Fit To Size: Enter width and height in pixels to make the image the size you want.

Background: Sets background color. When you click this button, the Choose Color dialog will come up, where you can choose a background color by clicking on the matching color box. You can change the set of colors if that in the dialog doesn't suit you (see the "Color Palette" section).

Hyperlinks section describes how hyperlinks behave in the HTML file.
Object's HyperLink: If this option is on, hyperlinks assigned to objects will be accessible in the HTML file.
Prev/Next Page Links: This option sets whether to display buttons for the previous/next page in a multi-page HTML document. You may disable this option if you can move through the pages using object hyperlinks. Then ensure that Object's HyperLink is enabled.

In the Page(s) to Export area you can specify which exactly pages of the document will be converted in HTML. For multiple selections, Ctrl(Cmd) or Shift keys can be used.

Click OK to start the conversion. When it's finished, the results dialog shows the list of generated files. You may click Preview to see the newly created HTML pages in an available Internet browser.

Note: If there's any text in the Description field of the objects you export to HTML, this text will display as a hint in the browser when the mouse is paused over such object's image on the HTML page (see Properties of objects - Information).


Objects

There are the following object types in ConceptDraw: figures, connectors, groups, pictures and OLE objects(Win).

Figure is the main type of object. Figures consist of elementary segments. There are four types of segments: LineTo, SectorTo, ArcTo, SplineTo.

Connected segments form a solid path called Geometry. If the beginning of the first segment coincides with the end of the last one, the geometry becomes closed and is filled by default.

A figure may contain several geometries, so it may look like a group of several objects. But unlike the objects within a group, all geometries that form a figure always have same properties (line style, fill color, etc.). A group of objects may include objects that have different line styles, different fill colors, etc.

ConceptDraw also lets you create and work with special objects, such as connectors, pictures, and OLE objects. Connectors can be created by means of the program, pictures and OLE objects are imported from other programs or files.

Connector: Connects two objects together. Its distinguishing feature is that the connection maintains even if objects are repositioned, resized, etc.

There are two methods for connecting: to the entire object, or to a connection point of an object. See Connectors for more detailed information.

Group:
A group is composed of two or more objects. You can work with a group like you work with a single object. If needed, you can edit objects that form a group. For advanced editing options, you can open the Edit group window. For simpler editing, like modifying the object text, color and some other properties you just have to select the object within a group. See Grouping Objects for details.

Picture:
The following image formats are supported: raster formats (Windows bitmap - bmp, JPEG - jpg), and vector formats (Windows metafile - wmf, enhanced metafile - emf, MacOS picture - pct). Objects of this type allow for limited editing only (rotating, resizing, etc.).
See Pictures for more information.

OLE Object:
ConceptDraw supports Object Linking and Embedding capabilities (is an OLE-compatible program). This feature allows you to insert into ConceptDraw objects, created in other programs. In ConceptDraw, OLE-objects can be resized, but for full editing the application in which the object was created should be used.
You can find out more in the Working with other programs (OLE) section.


Creating Figures.

To create a new figure you may choose from the toolbar one of the following tools: Line, Sector, Arc, or Spline.

Then using a mouse you draw a segment. To add another segment to it, start drawing from one of the endpoints of the already existing one. This will lengthen the geometry of the figure. If you start drawing a segment at any position with Ctrl (Cmd) held down, this segment will be assigned to the currently selected object, starting a new geometry. So, the object will consist of two (or more) separate geometries, but it's still one object.

If you hold down the Shift key when drawing, constrained drawing mode switches on. The way in which constrained segments behave depends on the segment type.

Lets describe the basic segments.

LineTo: is a linear segment. It can be created with the Line tool. To constrain a line to any 45-degree angle, hold down the Shift key as you drag.
Note: press Ctrl+3 to switch to the Line tool.

ArcTo: is a sector of circle. It can be created with the Sector tool. The direction in which you first drag the mouse determines which way the curve bows. The point where you release the mouse button defines the other end point of the sector. To change the direction in which the curve bows, hold down the Shift key when you drag.
Note: press Ctrl+4 to switch to the Sector tool.

EllipseTo: is an elliptical quarter-arc segment. Use the Arc tool to create it.
Note: press Ctrl+5 for the Arc tool.

Spline To: is a smooth curve (also called spline). It can be created with the Spline tool. This tool works like a pencil on paper, the only difference is that the curve results is smooth rather than jagged. Once drawn, the spline is easy to modify by adjusting its vertices and adjustment handles.
Note: press Ctrl+6 to switch to the Spline tool.

Besides single segments you can also draw some widely-used complex figures: rectangle, ellipse, text. Use the corresponding toolbar buttons for each of them.

Rectangle: creates a filled rectangle. Drag the mouse to change its size. By holding down the Shift key as you draw, you constrain the rectangle to a square.
Note: press Ctrl+7 for the Rectangle tool.

Ellipse: draws a filled ellipse. Drag the mouse to change its size. By holding down the Shift key as you drag, you constrain the ellipse to a circle.
Note: press Ctrl+8 for the Ellipse tool.

Edit Text: creates a text box. Drag the mouse to change its size. If you are holding down the Shift key as you drag, the text box results in a square. After you release the mouse button, the Edit Text mode switches on.
Note: you can also use the F2 key to turn the Edit Text mode on.


Working with handles.

Handles are small square or round controls, which appear when you select an object.

You can select handles of the objects and manipulate them. Selected handles appear in magenta. To select a handle, click on it with the mouse. You can select more than one by holding down the Shift key as you click.

You can reposition selected handles with the mouse or Arrow Keys, thus modifying the relevant aspects of the objects - such as position, size, shape and so on.

There are a few handle types, which differ by their functionalities.

Resize handles.

Resize handles look like small square boxes, usually green or blue. To resize an object saving its proportions, drag any of its four corner handles. To resize a side of the object, drag the appropriate side handle.

More information about resizing objects can be found in the Resizing Objects section.

Rotation handles.

Rotation handles look like round corner handles, usually green or blue. When you drag them, the object rotates around its rotation centre:

The rotation centre is also a handle, and can be repositioned by dragging it and moving in whatever direction.
More information about resizing objects can be found in the Rotating objects section.

Endpoints.

All 1D objects have the begin point and the end point, called endpoints.

By dragging an endpoint, you resize and rotate the object at a time. Besides, endpoints have ability of the gluing to connection points of other objects, so all 1D objects can be regarded as connectors as well.

To learn more about connectors, see the Connectors section.

Vertices and adjustment handles.

A vertex is a small diamond-shaped handle, that appears in the point where two segments meet. By dragging a vertex, you change the form of the object.

Adjustment handles have a different effect, depending on the type of segment on which they appear.
A linear segment can be transformed in a sector of a circle by dragging its adjustment handles with the Sector [image] or Arc [image] tool.
For a segment of a circle, the adjustment handles change its curve.
For an elliptical arc segment, they adjust the angle and the magnitude of arc's eccentricity.
For a spline segment, adjustment handles come associated with vertices. By dragging these handles, you alter the curvature of spline sections near the appropriate vertices.

For the first three segments, you can transform one into another by manipulating the handles, for instance, by dragging the adjustment handle of a line with the Sector or Arc tool, you change it into a sector of a circle, then resize it in an elliptical arc segment, and vice versa.

For more information about elementary segments, refer to the Creating Figures section.

Unlike other handles, vertices and adjustment handles allow some additional operations on them, besides simply moving. Both vertices and adjustment handles can be selected and deleted. You can also add new vertices.

To select/unselect a vertex or an adjustment handle, click on it. To select more than one , hold the Shift key down as you point and click on each additional handle. The selected handles turn magenta.

Now any operation on handles will affect all selected handles simultaneously.

If you select a vertex and reposition it with the Shift key held down, its movement will be constrained. The vertex will move strictly along the line coming out of the preceding vertex at any 45 degree angle.
If the Right Shift key is pressed, the movement will be constrained with respect to the following vertex.

To delete selected handles, use the Del key. Deleting a handle deletes the segment with which the handle is associated.

Adding a vertex can be regarded as adding a new segment, or even a new geometry in some cases.
For more information refer to Inserting vertices.

Control handles.

Control handles are property of library objects. You cannot create or delete them other than from the table. To move them, use the mouse exactly as you do with regular handles.

As a rule, each control handle is responsible for a certain characteristic of the object on which it appears. For example, on the picture below dragging the control point adjusts the size of the circle's sector:

Control handles can glue to other objects, the way the endpoints of connectors can:

Connection points.

Connection points indicate locations on objects, where endpoints of connectors can be glued. They look like blue x signs that appear on an object, or near it.

Connection points can be created, moved and deleted with the Connection Point tool. For more information, see the Connection Points section.

Any handle can be selected and more than one can be moved at the same time. However, this works differently with the mouse and keyboard. With the mouse, only handles of the same type as the one you carry are affected. That is, if you drag a rotation handle, all the selected rotation handles will move along, but the selected resize handles will stay in place. With the arrow keys, you move all the selected handles simultaneously (the response of each hanlde will depend on its type).


Selecting objects.

To work with an object you must select it. Selected objects are surrounded by a dashed line.

When you select an object, it also shows handles. Handle is a small control you can drag to modify some properties of an object. Handles vary with the type of object and the tool selected on the toolbar. Here you can see how an ellipse looks with various tools: Select, Line, Arc.

To select an object, click it. If the Select, Rotate or Insert Vertex tool is on, you can also use Select Box for selecting. Click your mouse beyond all the objects you want to select, and while holding the mouse button, drag across the objects. All objects touched by the resulting dashed-line box will be selected.

To select all objects on the page, choose Select All from the Edit menu. To cancel the selection, click away from the selected objects.

Ctrl+A Cmd+A

Multiple objects can also be selected by clicking them one at a time when holding down the Shift key. To cancel selection of an object when several are selected, hold down the Shift key and click the object (this applies for Select Box as well).

There are two types of selected objects: the object you selected first displays green handles (primary object), all the rest have blue handles. Some operations use the difference between primary objects and other objects. There like Align Figures, Distribute Figures, Make Same and some other use the primary object as the pattern for the others. Others, like Information, Hyperlink, Edit Text work with the primary object only, and ignore the rest.

You can assign primary selection to an object by simply clicking it with the mouse.

In most case, the Select tool is used for selecting objects . To choose, click its button on the on the toolbar [image] (Ctrl+1). In the Macintosh version you may hit Enter to siwtch to the Select tool.

Selecting objects within a group.

You can select objects within a group like you select other objects.

Unlike common objects, objects selected within a group display gray handles. This indicates that objects that form a group are protected against some operations, such as moving and rotating, though you can change their line color and thickness, fill color, add text, etc.
To select an object within a group, select the group first, and then click the object you want. If the group includes other groups, you may have to click more then once until you select the object you want.

Selecting objects in the order they were created.

Another option for selecting is to use the Tab key. Each time you hit Tab, you activate objects in the order in which they were created or dropped on page, starting from the currently selected object. The program will adjust the document page each time you press Tab, so that the selected object results in the centre of the screen. If no object is selected, hitting Tab will affect the first object you've drawn or dropped on the page.

Holding down the Shift key when hitting Tab reverses the selection order.

Smart Selection

When in this mode, the program remembers which objects were selected the last time (if more than one) and lets you restore the entire selection by clicking on any of these objects.

This mode can be toggled on/off by checking Smart Selection on Miscellaneous tab of the Preferences dialog.


Moving objects.

Only selected objects can be moved. You can use the keyboard or the mouse for moving objects.

Moving objects with the keyboard: Moving objects by using the Arrow keys helps you position objects more precisely. Pressing an arrow key moves the object by one screen pixel with each keystroke. For more precise positioning, use the zooming option. The more you zoom in on your drawing, the greater the precision.
To move the object faster, use the arrows together with the Shift key.

Note: Make sure there're no handles selected on the object before you start moving it with the keyboard, otherwise you'll move the handles instead of the object itself.

Moving objects with the mouse: It may vary depending on the tool which is currently on. When you see the pointer change into a black arrow: over an object, it means that you may move the object.

With such tools as Select, Rotate, Rectangle, Ellipse, Insert Vertex you can move an object by dragging either its body or the Alignment Box.

With such tools as Line, Sector, Arc, Spline, Connector you can move an object by dragging their alignment boxes.

When moving an object with the mouse you only see its outline. In case you'd like to see the whole object stop the mouse and wait for a second - the object will appear in full detail.

To constrain the movement of an object to strictly vertical or horizontal, hold down the Shift key while you drag the object, or use the Arrow keys.

Note: you can protect an object from being moved horizontally or vertically. This can be done from the Protect Dialog box. To access the dialog, click on Protection under the Format menu. In the dialog, check X Position for the horizontal movement and Y Position for the vertical. By checking both of them you lock the object against repositioning.

Sometimes you may want to position an object right in the centre of the page. To do this, first select the object and then perform the Centre Page command under the Tools menu. With the Centre Vertically and Centre Horizontally commands you can centre the object(s) vertically and horizontally respectively.

The way objects behave when moved is also determined by whether the Snap tool is on or off. If snapping is on, the object you are moving jumps to the nearest snap locations (usually the grid nodes), instead of following the mouse directly. This functionality lets you easily align objects with the grid lines, guides and other elements. Please refer to the Snapping and glueing section for more extended description of this feature.

To align objects to one another the following tools are used: AlignFigures and DistributeFigures.

AlignFigures.

This tool aligns the alignment boxes of two or more selected objects.

AlignFiguresTool.gif (1653 bytes)
The object with the primary selection (the one that displays green handles) is the object to which other objects align. There are 6 types of alignment: 3 types for the horizontal (on the left sides [image], on the centres [image], on the right sides [image]) and 3 for the vertical (on the tops [image], on the centres [image], on the bottoms [image]).

Here's an example of aligning objects on their left sides:

DistributeFigures.

Use this tool to create an equal distance between the alignment boxes of three or more objects.

DistributeFiguresTool.gif (1830 bytes)

The objects are distributed with respect to the primary object (the one that displays green handles). There are 8 distribution options:

For horizontal distribution -
Distribute Horizontal Spacing [image] (creates a uniform space between the alignment boxes),
Distribute Left [image] (between the left edges of the alignment boxes),
Distribute Centre [image] (between the centres of the objects),
Distribute Right [image] (between the right edges of the alignment boxes);

For vertical distribution -
Distribute Vertical Spacing [image] (creates a uniform space between the alignment boxes),
Distribute Top [image] (between the top edges of the alignment boxes),
Distribute Middle [image] (between the centres of the objects),
Distribute Bottom [image] (between the bottom edges of the alignment boxes).

Here's an example of how the Distribute Vertical Spacing option works:


Rotating objects.

Selected objects can be rotated with the Rotate tool [image]. By dragging a rotation handle, you rotate the object around its rotation center.

Note: Objects can be rotated with the keyboard:

Ctrl+LeftArrow | Cmd+LeftArrow | counterclockwise by 1 degree
Ctrl+RightArrow | Cmd+RightArrow | clockwise by 1 degree
Ctrl+Shift+LeftArrow | Cmd+Shift+LeftArrow | counterclockwise by 0.1 degree
Ctrl+Shift+RightArrow | Cmd+Shift+RightArrow | clockwise by 0.1 degree

Note: You can switch from any drawing tool to the Rotate tool and vice versa by clicking the alignment box of the object.

The rotation centre looks like a plus sign in a circle. You can reposition it by dragging it with the mouse.

By dragging the handle farther out from the object, you decrease the increment of rotation from 30 degree to 0.1 degree, and this way increase the accuracy. The angle of rotation in degrees appears in the status bar at the bottom of the screen.

If several objects are selected, you may rotate each of them separately, by dragging a rotation handle of an object. If you start dragging with the Ctrl or Cmd key held down, all objects rotate simultaneously around their common rotation centre.

To rotate objects in 90-degree increments, use Rotate Left [image] or Rotate Right [image] buttons on the standard toolbar or select Figure/Rotate Left(90), Figure/Rotate Right(90).

Ctrl+L
Ctrl+R
Cmd+L
Cmd+R

Note: you can prevent an object from rotating and its rotation centre from repositioning. To do this, check Rotate in the Protect dialog box under the Format menu. Then the object will display gray padlocks in place of rotation handles and the rotation centre, indicating that you can't perform the action.


Resizing objects.

Like most other operations, sizing is only possible for selected objects.

You may size objects proportionally (the height and width of the object maintain their proportions ) and unproportionally - change the width or height only. Use corner handles to resize objects proportionally, and side handles to resize that side only.

You can resize objects in either ways with the following tools: Select [image], Rectangle [image], Arc [image] . With the Rotate tool [image], you can only resize objects unproportionally. If the snapping is on, the handle you drag will jump automatically into the nearest snap location (usually a grid node).

Objects can be resized either with the mouse or the keyboard - in the latter case you resize an object by moving the selected resize handle. To select a handle, click on it with the mouse so it turns magenta.

As you resize, the status bar at the bottom of the window registers how the width and height change.

Holding down the Shift key as you drag a handle reverses its resize action - a side handles resizes the object proportionally, and a corner handle unproportionally.

If you need to resize a few objects at a time, there are two methods for doing so: you may group the objects (menu Figure/Group), resize the group with the mouse and then ungroup it back (menu Figure/Ungroup); or you may hold down Shift and click the relevant resize handles on the objects to select them, and then resize all of them using the mouse or the keyboard.

Note: you may lock an object against resizing in the Protect dialog box. Click Protection on the Format menu to bring the dialog up. Check the options you want: Width (to prohibit width alter), Height (to prohibit height alter) and Aspect Ratio (allows to resize proportionally only). Locked handles will appear as gray padlocks, indicating that they can't be worked with.

Note: it's possible to hide resize handles so they don't appear on the object. To do this, uncheck Show Figure Handles in the Behaviour dialog box (click on Behaviour under the Format menu to bring up the dialog).

Note: unproportional resizing may also change one segment type into another. For instance, you can change an ArcTo segment into EllipseTo by altering its width or height.

How objects behave within a group.

When resizing a group, some programs may cause objects change their internal angles, in case of unproportional resizing. In such programs, if you change the height of a group that includes an angled rectangle, the operation transforms the rectangle into a parallelogram. In some cases this may be inconvenient. ConceptDraw doesn't have such drawback, and resizing will never transform a rectangle into parallelogram.

Note: you can set how an object behaves within a group when the group changes its size. The Behaviour Dialog allows you to choose one of the following 3 options:
-Scale With Group - always change the size of the object as the group's size changes.
-Reposition Only - move the object without changing its size.
-Use Group's Settings - use the settings of the group to which the object belongs. This option is default.

Make Same...

Sometimes you may need to make one or more objects same size as some other object, that serves as a pattern. The Make Same tools (Make Same Width [image], Make Same Height [image], Make Same Size [image]) will help you do this.

Select the pattern object first so that it displays green handles, and then the objects which size you want to change. Use the Make Same tools to equalize their width, height or both.

Here is an example of how the Make Same Width tool works:

Fit To Text

Sometimes you may need to make an object the same size as the text it holds. This can be done with the Fit To Text tool, which shrinks or enlarges a selected object so it matches the size of its text box.

FitToText.gif (10870 bytes)


Flipping objects.

Flipping can be applied to selected objects and changes the direction the objects face. Use the Flip Vertical and Flip Horizontal items under the Figure menu, or the Flip Vertical/Flip Horizontal buttons [image] on the toolbar.

Ctrl+J
Ctrl+H
Cmd+J
Cmd+H

These operations transpose opposite sides of an object with respect to an imaginary horizontal or vertical line that goes through the rotation centre of the object.

If several objects are selected, the imaginary line goes through their common rotation centre.


Changing the order in which objects are displayed.

Each time you draw an object, or take it from another document or from a library and drop on the page, the object gets registered in the order list. ConceptDraw displays objects according to their position in the order list, so most recent objects may overlap the ones you created earlier.

Sometimes you may want to change the display order of an object. Use the following operations to move selected objects along the order list:

SendToBack - sends the object to the back of the order list. Select Figure/SendToBack.

Ctrl+B Cmd+B

BringToFront - bring the object to the front of the order list. Select Figure/BringToFront.

Ctrl+F Cmd+F

SendToStepBack - positions the object one step lower in the order list. Select Figure/SendToStepBack

Ctrl+Shift+B Cmd+Shift+B

BringToStepFront - positions the object one step higher in the order list. Select Figure/BringToStepFront

Ctrl+Shift+F Cmd+Shift+F


Deleting objects.

You can delete objects from a document by selecting them and then typing the Del or Delete key. The Delete command under the Edit menu has the same effect. Check there are no handles selected on the object. If there are any (selected handles appear in magenta), you'll delete the handles instead of the object.

Note: you can lock objects to protect them from deleting using the Protection dialog box (Format menu/Protect). Check "From Deletion" in this dialog. Then the program will respond with a warning message each time you attempt to delete the object.

Note: to delete objects within a group, you'll have to switch to the Edit Group mode first.


Duplicating objects.

To duplicate a selected object, select Duplicate under the Edit menu.

Ctrl+D Cmd+D

A copy will appear slightly below and to the right from the original object.

Another option is to duplicate objects by using the mouse. You may find this one more convenient, for it lets you create a copy and position it straight away. Hold down the Ctrl (Option) key and drag a copy out of the selected object to the place where you want to position it.

Note: to copy objects into another document or into a library, use the Copy/Paste operations.

Note: Alternatively, you can duplicate objects with the Stamp Tool. If there's no object selected in the library, this tool will clone the selected object(s) in the document. See the Stamp Tool section for more details.


Grouping objects.

ConceptDraw lets you group several objects so they act like a single object. The resulting group has its alignment box, and such operations as resizing, rotating and repositioning affect all objects in the group at once.

To group several objects, select them and then group by choosing Group under the Figure menu.

Ctrl+G Cmd+G

To ungroup selected groups, choose Ungroup under the Figure menu.

Ctrl+U Cmd+U

Some operations may have a specific action when applied to a group. For instance, you may set resizing to simply reposition all objects that form a group, and don't change their sizes. Or sometimes resizing may affect objects differently how they are positioned within a group. For more specific information please refer to the Resizing objects section.

You can't associate text with a group. When you select a group and start typing text, it appears on front most object in the group.

Even when grouped, the objects can still be worked with. You may modify an individual object's properties (line color, fill color, text) once you select it in the group:

You don't need to ungroup the group if you want to edit an object within it. You can use the Edit Group command under the Figure menu to open a new window with all objects that belong to the group in it. Simply close the window when done editing.

Note: The Combine operation is a variety of grouping. The difference is that combined objects take over the style properties (line and fill color, line thickness and so on) from the primary object (that with green handles), whereas grouped objects retain their individual properties.


Properties of the objects

Properties of objects.

Each object has a set of changeable properties.

Line Properties.

Lines are part of every object. To change their properties, use the LineProperties dialog box (Format/Line), or the appropriate toolbar buttons for each property (click "More..." under each button's menu to get to the LineProperties dialog for full list of options).

LinePropertiesDialog.gif (5577 bytes)

Line styles are the following: solid line (#1), dashed line (#2), no line (#0) and their numerous varieties.

The Styles Of Line tool lets you choose among the mostly used styles. For more styles, go to the LineProperties dialog and choose any of the available 17 line styles in the Styles drop down box.

Use the Line Width tool to alter line width. The Width drop down box in the LineProperties dialog offers the full list of 8 sizes.

To set line color, use the Line Color tool, or click on the Choose Color button in the Line Properties dialog. The full palette includes 256 colors.

The Line Color tool offers you the first 16 palette colors. The Choose Color button provides you with any color from the current palette. When you click this button, a dialog window appears containing colors which you may choose from. Click the mouse on the one you need. If you don't want to change the color, close the dialog.

You may modify the color palette if you need other colors than it has (see the Color Palette section).

You can apply an arrowhead to either or both ends of a line or any other open figure. ConceptDraw gives you the choice of using any of 61 arrowhead styles for each line ends.

You can use the Style Of Arrow tool [image] to apply an arrowhead to both line ends. The menu button gives you the choice of 12 mostly used arrowheads.

The Line Properties dialog allows you specify arrowheads separately for the beginning and the end of a line ( in the Begin and End boxes respectively). The size of the arrows can be chosen in the Size box. The following sizes are available: Tiny, Small, Medium, Big, Large.

Fill patterns and colors.

For all closed figures, you may change their fill properties. They can be set in the Fill&Shadow dialog box under the Format menu. Or you may change each property by using the respective buttons on the toolbar. Clicking More ... under each button menu opens the Fill&Shadow dialog, with the complete list of available choices.

FillShadowDialog.gif (5928 bytes)

To change the fill color of a selected figure, select the Fill Color tool [image] or click the Foreground button in the Fill&Shadow dialog.

Fill color tool displays the fill color palette. On the palette, choose one of the 16 colors to fill the figure with that color, "More Fill Colors" to open the Fill&Shadow dialog box where you can choose more colors or "No Fill Colors" to make the figure transparent.

The "Foreground" button gives you the choice of picking any of 256 colors of the current palette. Click color you need. If you don't want to change color, just close the dialog.

Use the "Fill Pattern" tool [image] to fill figures with a pattern. It can also be done from the Fill&Shadow dialog box under the Format menu. The "Fill Pattern" tool lets you choose among the mostly used patterns.

The Background button under the Fill&Shadow dialog allows you to apply a color to the pattern. The Pattern drop down box opens a list of 38 plain and 4 gradient patterns style.

You may modify the color palette if you need other colors than it has (see the Color Palette section).

Shadows.

Use the Fill Shadow Style tool to apply shadows to objects and to choose the shadow color. You can select one of the 16 colors from the palette to fill the shadow with.

Shadows, like fills, may be plain or have fill patterns. The complete lists of colors and patterns may be found in the Fill&Shadow dialog box. In the Pattern drop down box you can choose among 38 available pattern styles. The "Shadow Foreground" and "Shadow Background" buttons determine the foreground and background colors of the shadow respectively. For a plain shadow, choose #1 pattern style in the Pattern box and its color in the Foreground box. To remove the shadow, choose "None" (or #0 style) in the Pattern box.

Note: ConceptDraw allows you to specify the shadow offset. All shadows of a document have the same shadow offset. Call the Document Properties dialog under the File menu. Choose the Settings tab. In the "Figure Shadow Offset" section, type values for the shadow offset in the Right and Down boxes (you may type values in any measurement system, for example, 1 in, 35 mm). Then click OK.

Copying visual attributes of objects (Same Style).

SameStyleTool.gif (156 bytes)

Sometimes you may need to make all existing objects appear in one style.

This can be easily done using the Make Same Style:

1). Select the objects you want to make same style.
2). Make the pattern object primary selection (click it once so that it show
green handles).
3). Click the Make Same Style button on the toolbar to make all selected
objects same style as the pattern object.

SameStyle.gif (14677 bytes)

Note: When copying style, the following attributes of the primary object are
applied to the other objects:
1). Line colour, thickness and pattern;
2). Fill colour and pattern;
3). Shadow colour and pattern;
4). Arrow pattern and size;
5). Text properties: font; font size, colour and style; font background
colour; margins and indentation.

Protection.

Various attributes of the ConceptDraw objects can be locked against changes that you do from the menus, or with the mouse or the keyboard. You can do this in the Protection dialog by setting the corresponding options.

To lock some characteristics of one or more objects, select them first and call the Protection dialog under the Format menu.

ProtectionDialog.gif (5024 bytes)

Here are the options:

-Width - locks/unlocks the object's width against resizing by using the resize handles.
-Height- locks/unlocks the object's height against resizing by using the resize handles.
Locked handles will be displayed as gray padlocks, indicating that you can't apply action to them.

-Aspect Ratio - locks or unlocks the ratio between the object's height and width. When checked, the object will be resized proportionally by dragging any of its resize handles.

-X-Position - locks/unlocks the horizontal (x) position of the object.
-Y-Position - locks/unlocks the vertical (y) position of the object.
-Rotate - locks/unlocks the object against rotation by dragging its rotation handles. If the object is locked, its rotation centre can't be repositioned either. Locked handles appear as gray padlocks indicating you can't apply action to them

-From Deletion - locks/unlocks the object so it or its handles can't be deleted. If an attempt is made to delete a protected object, the warning appears: "Object Is Protected From Deletion".

Double Click.

The action that double clicking takes on an object is one of the properties of the objects, which can be modified. You can do it in the Double-Click dialog box from the Format menu.

DoubleClickDialog.gif (7117 bytes)

By checking one of the following options you set the action that will be performed when the object is double-clicked:

-Perform No Action - takes no action.
-Edit Figures Text - opens the object's text box. You can edit a selected object's text anyway by pressing the F2 key.
-Open Group In New Window - opens the Edit Group window. The same can be done by choosing the Edit Group option from the Format menu. This option works with groups only.
-Open Figure's Table - opens the object's table.
-Go To Hyperlink - double-click starts hyperlink processing.
-OLE Verb - if it's an OLE object, double-clicking will start its editing in the server application.
- Perform User's Context Menu Command - performs a command in the user's context menu. If there are several items, each double-clicking will perform the next command in the list.
-Go To Page - on double-click the program goes to the drawing page specified in the box.

The default option for groups is Open Group In New Window, for other objects - Edit Figure Text.

Information

The Information dialog allows you to alter the additional information about the object. It can be accessed from the Format menu.

InformationDialog.gif (4383 bytes)

In the Name field you may type the name you want to assign to the object.
In the Description field you may type information describing the object. If such object is exported to HTML, these notes will display as hints in the browser when pointing the object with the mouse.
ID and SubID fields are used for reference only and can't be edited.
ID is the personal number of the object within the page, which is based on the order in which objects are created.
SubID - sequential number of the object within a group. It changes when operations like SendToStepBack are performed.

Note: the values in ID and SubID fields are used when you describe one object through another using formulas. In the table, they are used as references to parameters of other objects. For more specific information, refer to the Formulas section.

Behaviour

You can describe the behaviour of selected objects in the Behaviour dialog. To open it, on the Format menu click Behaviour.

BehaviorDialog.gif (7751 bytes)

InteractionStyle section determines whether the object is a connector or not.

Line (1-Dimensional): the object is connector. Besides, it behaves as a line when you work with it.
Box (2-Dimentional): the object is not connector.

Selection Highlighting section describes the way in which to display the object when it's selected. The following options are available: Show Figure Handles, Show Control Handles, Show Alignment Box.
For instance, if you lock an object against resizing, it's quite reasonable not to show its resize handles.

Resize Behaviour section determines how an object within a group behaves when the group is resized.
-Scale With Group - always resize the object as the group's resized.
-Reposition Only - simply move the object without changing its size.
-Use Group's Settings - to use behaviour settings of the group to which the object belongs.
The last option is set as default.

Hyperlink

ConceptDraw allows you to link its objects to documents, document pages, files or Internet locations, providing quick access to data of various kinds.

ConceptDraw has a remarkable ability for recognizing hyperlinks inside object's text. When you type an Internet location or e-mail address, such text is treated as hyperlink.

You can follow a hyperlink using the menu (Format/HyperLink/Open), or by clicking the Open Hyperlink button [image] on the toolbar. If an object has no hyperlink, the Hyperlink dialog will open where you can assign a hyperlink to the object.

Ctrl+Shift+H Cmd+Shift+H

The same dialog is used for modifying an existing hyperlink. It can be accessed from the menu: Format/HyperLink/Edit.

Ctrl+Shift+E Cmd+Shift+E

HyperlinkDialog.gif (7141 bytes)

Enable URL Autoparsing if you want the program to automatically recognize and assign hyperlinks to Internet or e-mail addresses when you finish editing an object's text. This is an easy way of assigning hyperlinks to objects.

ConceptDraw will look for the following words in the text:
"http://"
"https://"
"www."
"mailto:"
"ftp://"
"news:"
"file://"
"gopher://"
"telnet:"
"wais:"

All following text until a space will be regarded as hyperlink.

There are four types of links you may choose between:

- No Hyperlink: Disables the hyperlink. Note, that the text of the hyperlink is kept intact so it can be easily reactivated if needed.
- Existing ConceptDraw document: Link to any existing ConceptDraw document. You can either type in a path, or click Local Browse to navigate to the file. You may use a relative path. It describes the path to the linked document starting from the location in which the current document is stored. Clicking Open Hyperlink opens the document you link to in a new window.
-Other program or file: Link to a file. You can either type in a path, or click Local Browse to navigate to the file. You may use a relative path. It describes the path to the linked file starting from the location in which the current document is stored. Clicking Open Hyperlink starts the program used to process files with such extension.
-Internet: Link to an URL address. You can type in the address in the File/URL field. If you click the Internet Browse button, an Internet search system launches in your Internet browser. When you find the address you need, copy it, return to ConceptDraw and paste it into the File/URL field. Then, when you click Open Hyperlink, your Internet browser will start with the address saved.
-Page: Link to a page within the document. Select a page from the list in the Page box. When you click Open Hyperlink, the chosen page will open in the same window.

Note: You can drag hyperlinks directly from your browser into the File/URL filed of the dialog. This will automatically select the Internet option.

Note: By assigning hyperlink to an object you also redirect its double-click action (you can learn more in the "Double Click" section).

Note: Hyperlink remains active even if the object is inside a group. Thanks to this you can create tables and complex objects with multiple hyperlinks.


Additional operations on objects.

Insert Vertex

The Insert vertex tool adds an additional vertex to a segment. Adding a vertex may be considered as adding a new segment to the already existing ones, or as dividing a segment into two parts. To add a vertex to a segment, choose the Insert Vertex tool on the toolbar, and between two existing vertices on the figure's outline point to where you want to add a new one. The new vertex appears, creating a new segment.

If you perform this command when holding down the Cmd or Ctrl key, you also cut the line in the place you insert the vertex. For a closed figure, this operation will open it.

For an open figure, this operation will divide into two parts the geometry to which the vertex was added.

Combine

In ConceptDraw, figures can consist of multiple segments. Several segment, joined together are called geometry. A figure may have more than one geometry.

If you want to create a group of several objects, and all of the objects have the same properties, such as fill color, line color, line thickness, etc., it's better to use the Combine operation (Figure/Operations/Combine) rather than Group. Combined objects take less space when saved.

If overlapping figures are combined, the overlapping areas become transparent.

Join

The Join operation (Figure/Operations/Join) lets you make one figure from several different ones. The main difference from the Combine operation resides in that if a solid outline results after the operation, it's considered as a single geometry. The Combine operation just groups figures with same properties, but never makes a new one out of them. That's why when a closed figure results after the Join operation, it's filled automatically, which never happens when the figures are combined.

Note: be sure to superpose the endpoints precisely (they must have the same coordinates). The Snap function is very helpful for this purpose.

Scattering

The Scattering operation is inverse to the Combine operation. If a figure consists of several geometries, the Scattering operation will form an individual object for each geometry of the object. It looks as if the object was divided into parts.

Note: the Scattering operation takes no effect on objects resulting after the Join operation. The Join operation unifies all segments into one geometry, so the program can't recognize them as separate parts when you perform the Scattering operation. To split such objects into parts, select the InsertVertex tool and holding down the Cmd or Ctrl key, indicate the points where you want to separate the geometry, and then perform Scattering.


Connectors

A connector is used for tying two objects together. Its distinguishing characteristic is that the connection is maintained even when the objects are moved, resized, etc.

All connectors have the begin point and the end point (that is, they are 1D objects). You glue these endpoints to connection points of other objects to establish connection.

Note: You can always swap the begin and end points by choosing Reverse Link from the context menu.

There are 2 methods for gluing a connector to an object:

Connection to the entire object.

Position one the endpoints of the connector over the center of the object's alignment box, until a black rectangle appears round the object. On releasing the mouse button, a magenta square will indicate the point at which the connector is currently glued to the object. As you move the object, the point of connection will snap to the side of the alignment box nearest to the connector.

Connection to a connection point of the object.

Position one of the endpoints of the connector over the object, until you see a gray plus in a circle indicating the pointer is over a connection point of the object. Release the mouse button to establish connection. The glued endpoint turns red, indicating the place of connection.

To break a connection, just move the connector or its attached endpoint away from the objects.

Each object has 4 default connection points, in the middle of each side of its alignment box. They become visible when you position an endpoint of a connector over one of them and have the same effect as regular connection points.

There are 2 types of connectors: a smart connector and an object connector.

Smart Connector.

Smart Connector is composed of vertical and horizontal lines, which form a solid path. The main feature of the Smart Connector is that the point of connection changes its location when you move the object, keeping to the side facing the connector.

Control handles on the connector let you adjust its shape. The connector will keep its shape until you move one of the connected objects.

Use the connector tool [image] to create a Smart Connector. To get two objects connected straight away, start and finish drawing the connector over connection points of the objects.
Note: you may also press Ctrl+9, to switch to the connector tool.

Like other objects, a connector may have text in it. By default, the associated text appears on its central control point, or where the lines meet. The text may be then repositioned by using the Text Box tool.

Object Connector. Direct Connector.

An object connector can be created from any 2D object into object connector by simply changing it into a 1D object. Select the object, call the Behaviour dialog under the Format menu (Format/Behaviour) and check the 1-Dimensional option.

For a 1D object, dragging the endpoints affects its width and angle at once. By dragging the size handles, you control its height. If the rotate tool is on, the endpoints are substituted with rotation handles.

The most frequent variant of the object connector is a direct connector. You can draw it with the help of tool Direct Connector [image]. To get two objects connected straight away, start and finish drawing the connector over connection points of the objects.

Connect Figures and Direct Connect tools.

Use Connect Figures or Direct Connect tool to connect one object to one or more other objects. The first one employs Smart Connector, the second one - Direct Connector.

How to use the tool: First select the object you want to connect to other objects (it will display green handles). Then, with the Shift key held down, select the objects to which the first object will be connected. Click the Connect Figures or Direct Connect button. The object with primary selection will be connected to the other selected objects.

Auto-connection modes.

SmartMode.gif (133 bytes) DirectMode.gif (127 bytes)

When in an auto-connection mode, all objects you draw or drop on the page get automatically connected to previous selected objects with an automatic connector. It doesn't matter whether you draw the objects yourself, paste from another application, take from a library, etc.

There are 2 connection modes: with a Smart Connector (Smart Connection Mode) and with a Direct Connector (Direct Connection Mode).

Auto-connection mode is very useful for quickly scetching large schemes. You don't need to think about connections, just arrange them on the page.
For example, switch to Smart Connection Mode. Draw or select the initial element of the scheme. Then, as you add new objects, they'll be automatically connected to the previous selected object.

Connection points.

A connection point is a special kind of handle, to which connectors and control points can be glued. They look like red or blue crosses. Selected objects display their connection points in red, other objects - in blue. Note, that connection points may lie both on the perimeter of the object and outside it. Then red color helps us tell to which object the connection point belongs.

To work with connection points use the Connection Point tool [image].

Note: press Ctrl+0 to switch to the Connection Point tool.

Selecting objects.

When the Connection Point, you can select objects by clicking an object with the Cmd or Ctrl key held down. If you drag the object, you'll get its copy.

Creating connection points.

The main purpose of the Connection Point tool is to create new connection points. Select an object, and then click the object with the Connection Point tool in the place where you want the new connection point to be inserted.

Selecting, moving and deleting connection points.

Connection points can be edited (repositioned and deleted) with the Connection Point tool. To select a connection point, move the mouse over it, so that the pointer changes into [image], and click the mouse button. The selected connection point becomes bigger and turns red.
To move the connection point, drag it with the mouse to a new location. To delete a connection point, select it and click the Del key on the keyboard.

Preventing Connection points from displaying on screen.

In ConceptDraw, you may show and hide connection points. Under the View menu, uncheck the Connection points item to hide the connection points, and check the item to show them. Even when invisible, connection points remain operational.

Connection points inside a group.

You can work with connection points of objects which are part of a group. Normally, these connection points are not visible. But when you select an object in a group, its connection points appear in grey.

If you want to always see connection points in a group, enable Connection Points In Groups on the View menu.

Note, that connection points function even when they are not visible.


Pictures.

Picture is a type of object used in ConceptDraw.

Objects of this type allow limited editing only (rotating, resizing, etc.).

The following formats are supported:

raster formats:
Windows bitmap - bmp,
JPEG - jpg,
GIF - gif;

vector formats:
Windows metafile - wmf,
enhanced metafile - emf,
MacOS picture - pict,
Encapsulated Post Script - eps.

Inserting a picture.

To insert a picture into your document, select Picture under the Insert menu. In the dialog box, click on the filename to select the file. You can see a thumbnail of your image in the Preview in the box to the left. Click the Open button to open the selected file.

The picture will be inserted in the centre of the active window. Note, that the picture is now part of the document and is no longer related to the file it was taken from.

ConceptDraw also allows to open image files in a separate document using the Import command (for more information, refer to the "Importing Files" section).

Specifics of inserting vector images.

When inserting images of a vector format (wmf, emf, pict) you have an option to convert them in ConceptDraw objects. This works differently for Macintosh and Windows versions of the program:

Win.gif (172 bytes) In the document, select the picture you inserted and choose Ungroup from the Figure menu. The picture will be converted into a ConceptDraw object(s).

Mac.GIF (169 bytes) When inserting a PICT image into the program, you'll be asked whether to convert it into ConceptDraw objects. If you refuse, the picture will be inserted in a raster format. If the document contains emf-objects, pasted there in the Windows version of the program, such objects will look like rectangles labelled "Windows Metafile" on a Mac. However, same as on a PC, you can transform them into ConceptDraw objects by performing Ungroup.

Creating images.

ConceptDraw can also save objects as pictures. More information about it can be found in the "Exporting Files" section.


Working with text.

Most of Concept Draw objects, except guide lines, pictures and OLE objects, may contain text. If you select an object and start typing (or press F2), the text editing mode will turn on.

If the text appears too small, it will zoom in automatically for better visibility. Such behaviour is set by default. You can customize it in the Preferences dialog (menu Edit/Preferences), Miscellaneous tab. Here you can set the minimal font size in points from where auto zooming will activate, or disable auto zooming.

When done editing, press Esc or F2 to quit the text editing mode.

With the Edit Text tool [image] you can edit text in a object. When this tool is active, the lower part of the toolbar is replaced with a set of text editing tools you can use to modify text properties. To start editing, simply click the object with the mouse.

Most of text editing operations involve wide usage of selected text blocks. Any formatting or settings change affects selected blocks only. You can select text blocks either with the mouse, or with Shift+<Arrow Key>.

The way text is positioned in relation to the object is determined by its text box. The Text box tool [image] allows you to resize, rotate and relocate the text, changing its appearance and position independently of its object. When a new object is created, its text box's dimensions coincide with those of the Alignment Box.

If a hyperlinks is found in the text, it will be automatically assigned to the object on finishing editing. To learn more about this feature and hyperlinks refer to the "Hyperlink" section.

Adding text to a new object.

Select the object and start typing text in it. Immediately, the text editing mode turns on. When done editing, press the Esc key, or click outside the text box.

Note: There are some other methods for switching to the text editing mode:
- double clicking an object.
- selecting an object and pressing F2.
- click the object with the mouse in the Edit Text mode.

Modifying text in an object.

To switch to the text editing mode, select the Edit Text tool and click the object you want. If you click on the text itself, the insertion point will be placed in the position where you clicked. By clicking elsewhere on the object, the whole text gets selected.

If you start typing now with a text block selected, the text will be deleted. To prevent this, click anywhere on the text or press an arrow key.

After you make all changes you wanted, press the Esc key, or click outside the text box.

Note: There are some other methods for switching to the text editing mode:
- double clicking an object.
- selecting an object and pressing F2.

Creating a "Text" object.

A text object is an object which contains text only. To create a text object, choose the Edit Text or Text Box tools from the toolbar. Use the mouse to draw the text box on the page. On releasing the mouse button, the text editing mode turns on. Type in the text. When you finish typing, press the Esc key, or click outside the text box.

Changing text styles in selected blocks.

The following operations can be applied to selected text blocks:

- Changing the font

To change the font, click the down arrow by the Font Name box and then click the name of the font you want in the list.

Ctrl+F

- Changing the font size

To change the font size, click the down arrow by the Font Size box, and then click the size you want in the list, or type a custom size.

Ctrl+S

You can also use Increase Font Size [image] and Decrease Font Size [image] buttons on the Text toolbar to increase/decrease the font size gradually.

Ctrl+">" | Cmd+">"
Ctrl+"<" | Cmd+"<"

- Changing text color

Click the Text Color [image] button on the toolbar. On the button menu, click one of the given 16 colors, or click More Colors for extra colors. This will bring up the Choose Color dialog box, where you can choose among 256 colors of the current palette of the document.

- Changing font attributes

Font attributes, such as Bold, Italic or Underlined can be set by clicking respective buttons on the text toolbar or press Ctrl+B, Ctrl+I, Ctrl+U respectively.

The Macintosh version of the program allows for additional text styles:
Outline (Ctrl+O), Shadow (Ctrl+S) è Condense (Ctrl+C).

Modifying Text Properties in selected objects.

You can change various text properties (such as font, font size, margins) for several objects at once. To do this, call the Text Properties dialog (menu Format/Text). Changes you make in this dialog will apply to all selected objects.

When in the Edit Text mode, some properties can be modified straight from the text toolbar. For example, you can increase font size or make the font bold for all selected objects.
You can use Ctrl and Shift to select other objects.

Text alignment.

Each text consists of one or more paragraphs. Each paragraph begins from a new line and is separated from the other with line feed symbol (which is inserted each time you press the Enter key). For each paragraph, you may set alignment and indentation.

Horizontal alignment

Can be applied to paragraphs only. You can align text on the left side of the Text Box, on its right side, or on its centre. To align a paragraph, click somewhere within its bounds and choose one of the alignment tools on the toolbar: Left Align Text, Centre Align Text, or Right Align Text (Ctrl+L, Ctrl+E, Ctrl+R respectively).

Several selected paragraphs can be aligned likewise.

In the MacOS version of ConceptDraw, you can't see the results of paragraph
alignment when in the text editing mode. The alignment will be applied after
you leave the text editing mode.

Vertical alignment

Vertical alignment determines the position of the whole text with respect to its Text Box. You can align the text at the top, middle or bottom of the Text Box. Use the following toolbar buttons: Top Align Text, Middle Align Text or Bottom Align Text.

Cutting, copying and pasting text.

When working with text, you may cut, copy and paste text blocks as you do in many other Windows applications.

The Copy command copies selected text onto the clipboard. Select Copy from the Edit menu, or use the shortcuts:

Ctrl+C | Cmd+C
Ctrl+Ins |

The Paste command pastes text from the clipboard in the pointer position. Select Paste from the Edit menu, or use the shortcuts:

Ctrl+V | Cmd+V
Shift+Ins |

The Cut command removes selected text from its place and puts it on the clipboard. Select Cut from the Edit menu, or use the shortcuts:

Ctrl+X | Cmd+X
Shift+Del |

Working with Text Box

Text box is a dashed line with handles that selected objects display when the Text Box tool is chosen. You can move, rotate and resize an object's text box, modifying then position of the text in relation to the object.

When you move or resize an object, you move and resize its text box as well.

Moving a text box

To move the text box, first click on it to select it. Then click its bounds or the text inside, hold down the mouse button and then drag. When text box is selected, the pointer changes into a double box indicating it can be moved.

You can use the Arrow Keys to move the selected text box by one pixel at each keystroke for precise positioning. If more precision needed, increase the magnification.

Rotating a Text Box

To rotate a text box, drag any of the four rotation handles, located in its corners. The Text Box rotates around its rotation centre, which looks like a gray circle.

Sizing a Text Box

To resize the Text Box, drag one of its square handles. The mouse pointer will change into a double-headed arrow when it's over a handle.

Indents and margins.

Margins

You can set margins for the whole text with respect to the Text Box borders. Open the Text Properties dialog box (Format/Text), then select the Text Block tab. Under the tab, modify the values in the Margins fields. Here you may specify the values for left, right, top and bottom margins. By default, you input the values in the current measurement system. If you want to use another measurement system, specify proper abbreviation for the chosen unit of measure after the number. For example: 2,4 pt, 3.3 in, and so on.

Indents

Indents are paragraph properties. For each paragraph, you may set right, left and first line indents. These settings can be modified in the Indents subsection of the Text Properties dialog (Format/Text, Paragraph tab).

By default, you input the values in the current measurement system. If you want to use another measurement system, specify the proper abbreviation for the chosen unit of measure after the number. For example: 2,4 pt, 3.3 in, and so on.

The changes will affect the paragraphs, with the insertion point selected text.

Note: the resulting indent value includes the margin value as well.

In the MacOS version of ConceptDraw, you can't see the results of paragraph
alignment when in the text editing mode. The alignment will be applied after
you leave the text editing mode.

Setting the background color.

By default, text has no background and text boxes are transparent (except for text boxes of connectors). You may enable the background color for a selected text block in the Text Properties dialog (Format/Text). Under the Text Block tab, uncheck the Transparent option, and click the Text Background button to choose a color. Click OK.

To disable the background color, check Transparent.

Text Properties dialog box

The Text Properties dialog has three tabs:

The Font tab.

FontDialog.gif (6814 bytes)

Here you may change the font properties.
- The Font box lets you choose a font from the list of available fonts.
- In the Size box, you may select a font size from the list or enter a custom value.
- Color determines the font color.
- The Style section contains a group of options, that change the font style attributes:
Bold - determines whether the text is bold
Italic - changes plain text to italic and vice versa
Underlined - underlines the text
Strikeout - displays crossed out text
Outline - outline only
Shadow - outline with shadow
Condensed - condensed
Extended - stretched out
Plain - no style

The Paragraph tab.

ParagraphDialog.gif (6679 bytes)

Specifies properties for the paragraph with the insertion point, or for all paragraphs of a selected object.

- The Horizontal Alignment section specifies how the paragraphs are aligned with respect to the text box:
Left - on the left side,
Centre - by the centre,
Right - on the right side.
- The Indent section specifies the paragraph indentation:
FirstLine - for the first line,
FromLeft - for the left indent,
FromRight - for the right indent.

Note, that the indents values are displayed in the currently used measurement system. If you want to use another measurement system, specify the proper abbreviation for the chosen unit of measure after the number. For example: 2,4 pt, 3.3 in, and so on.

The Text Block tab.

TextBlockDialog.gif (7734 bytes)

Under this tab, you may set properties for the entire text box.

- The Vertical Alignment sections determines the position of the whole text with respect to the text box.
Top - aligns text at the top of the text box
Middle - aligns text at the middle of the text box
Bottom - aligns text at the bottom of the text box

- The Margins section specifies the distance between the text and the edges of the text box.
Left - sets the left margin
Right - sets the right margin
Top - sets the top margin
Bottom - sets the bottom margin.

Note, that the margins values are displayed in the current measurement system. If you want to use another measurement system, specify the proper abbreviation for the chosen unit of measure after the number. For example: 2,4 pt, 3.3 in, and so on.

- The Text Background section specifies the color for the text background.
Transparent - sets whether the text background has color or is transparent.
Color - sets the background color, if Transparent is unchecked.

Working with text in groups

Unlike other objects, a group doesn't have text associated with it. The text you type in appears on the frontmost object in the group. If you want to change another object's text, select the object and switch to the Edit Text tool (or press F2).

Note, that it's possible to change the display order of objects using the SendTo... operations.

Smart Connector's text.

By default, the Smart Connector's text appears:

- on its central segment, if the number of the segments is odd.
- in the place where to middle segments meet, if the number of the segments is even.

Note: use the Text Box tool for repositioning the text.

Text AutoExpand Mode.

The Text Auto Expand mode [image] serves for resizing an object on the fly with respect to the dimensions of the text you enter when editing. When this mode is on, the object's width is extended based on the longest line and the height will rise according to the number of the lines in the text. Resizing only takes place when editing text.

Once activated, this mode works for all the open documents during the entire work session. It's reset when you quit ConceptDraw.

Note: If the text box doesn't coincide with the object's alignment box, only the text box is resized. For 1-D objects, it's only the text box that is resized. The actual object won't change its size.


Undo and redo operations.

Undo.

When creating and editing objects, mistakes are inevitable. So, you may need to cancel a sequence of recent actions and return the document to its previous correct state. The Undo command can be used for this purpose.

To reverse the last action, click the Undo button [image] on the toolbar or choose Undo from the Edit menu. The menu always shows the type of action that will be undone.

Ctrl+Z | Cmd+Z
Alt+BkSp |

The number of consecutive actions that can be undone is limited. The default value is 30. You may specify your value under the Settings tab in the Document Properties dialog (File/Document Properties). The higher the number, the more memory the program requires to store the actions.

Redo

Redo operation is inverse to Undo. Use it to reverse the latest Undo operation. Click the Redo button [image] on the toolbar, or select Redo under the Edit menu.

Ctrl+Y | Cmd+Y


Copying and Pasting.

You may exchange information between ConceptDraw and other applications by using the Clipboard. The Clipboard is a temporary storage area, used by the system to transfer data between documents and applications. By using the Cut, Copy and Paste commands, you can copy onto the Clipboard selected text (when the text editing mode is on), or selected objects (when the text editing mode is off).

Cut and Copy

The Copy command creates a copy of selected objects or text and places it onto the Clipboard. To perform the command, click the Copy tool [image] on the toolbar, or select Copy from the Edit menu.

Ctrl+C | Cmd+C
Ctrl+Ins |

Once there is some data on the Clipboard, it can be inserted into the same document, or other documents and applications.

Cut is a combination of two operations: Copy and Delete. It places selected items on the Clipboard, and then deletes them from the document. To perform the command, choose Cut from the Edit menu, or click the Cut button [image] on the toolbar.

Ctrl+X | Cmd+X
Shift+Del |

Note: On the Macintosh platform ConceptDraw uses the PICT format to exchange data with other applications.

Paste

The Paste command inserts the contents of the Clipboard into the cursor position.

Note: Objects from other applications will be inserted as OLE-objects.

To perform the command, select Paste under the Edit menu, or choose the Paste tool [image] on the toolbar.

Ctrl+V | Cmd+V
Shift+Ins |

Paste From Clipboard

If the system Clipboard contains a PICT image or text, the content of the Clipboard can be inserted into a ConceptDraw document with the Paste From Clipboard command.

If there's text on the Clipboard, the text will be inserted into the object with primary selection (the one displaying green handles). When none of the objects is selected, a Text Box object will be created and the text will be pasted into it.

If there's a PICT image on the Clipboard, you'll be offered to either convert the image into ConceptDraw objects, or insert as a picture.

Paste Into Position

If there's a ConceptDraw object on the Clipboard, this command pastes the content of the Clipboard into the same position on a page as that from where the original object was copied or cut. It's particularly useful when you need to copy or move an object onto another page of the document so that it's placed in the same position of the page as the original object.

Note: For other applications' objects this command works as the "Paste" command.

Ctrl+Shift+V | Cmd+Shift+V


Working with the document.

Zooming.

The zooming operations are helpful when editing a document. Use the Zoom In command to magnify a portion of the page for more precise working. The Zoom Out command may be needed for viewing a very large drawing, or to view the whole page.

Here's the row of preset zoom levels (in %):
1,2,3,6,13,25,50,75,100,125,150,200,400,800,1600,2500.
Both Zoom In and Zoom Out use these values: Zoom In ascendingly and Zoom Out descendingly.

Zoom In - [image]. Select ZoomIn by clicking on its View menu item or toolbar button.

Ctrl+"+" | Cmd+"["
 | Cmd+"+"

Zoom Out - [image] . Select ZoomOut by clicking on its View menu item or toolbar button.

Ctrl+"-" | Cmd+"]"
 | Cmd+"-"

Zoom Box - [image] . Allows to enlarge or reduce the view of a potion of the page, covered by the zoom box.

To enlarge: Use the mouse to define a rectangular area. On releasing the mouse button the enclosed portion of the page will enlarge to the size of the window.
To reduce: Hold down the Alt key, and define a rectangular area with the mouse. On releasing the mouse the view will reduce. The larger is the area, the smaller results the view.

Sinlge clicking with the Zoom Box tool works like ZoomIn command, or like ZoomOut if you hold down the Alt key.

Zoom - [image]. This drop down box lets you choose the magnification in percent from a list, or enter a custom value within the 1-2500% range.

Grid

Each document page is crossed by thin gray lines, called grid lines.

You may enable/disable the grid from the View menu, by checking/unchecking the corresponding menu item.

If the Snap To Grid option in the Snap&Glue dialog is enabled, the grid will pull the pointer when you manipulate objects. When you drag a handle, the mouse pointer will jump to the nearest grid node or the cell centre. When moving an object, the same occurs to its alignment box. This helps to position objects precisely.

You can assign the grid color for the entire application. This can be done in the Preferences dialog box. Select Preferences from the Edit menu, then select the Miscellaneous tab and set the color you want using the Grid Color button.

Also, you may set grid properties for each particular document. This can be done in the Grid Properties dialog. Click Grid on the Tools menu to access this dialog.

GridDialog.gif (6324 bytes)

The most convenient and used is the Grid Spacing - Non-Fixed mode. In this mode, the grid spacing remains visually the same regardless the magnification, which increases the accuracy with each zoom in level. For instance, if the spacing is 0.5 cm at 100%, it will equal 0.25 cm at 200%.
The cell size can be set separately for the width and height. The following options are available: Fine, Normal, Coarse.

Another grid mode is the Fixed Grid mode. Then the grid spacing is a fixed value, and changes visually with the magnification.

You set a specific distance the grid lines stay apart regardless of magnification, though visually the distance changes. You must use the Fixed mode if you want the grid to be printed.

Note: you must use the Fixed mode if you want the grid to be printed. Non-fixed grid can't be printed.

Note: if you need to work constantly with a specifically formatted grid, save these settings in a template file, and create new documents from this template.

Rulers

The rulers show measurements at the scale of the drawing. The current unit of measure is displayed in the place where horizontal and vertical rulers meet. You may change the unit of measure in the Document Properties dialog, under the Settings tab.

The rulers, as well as the grid, take effect on how the snapping works. If Ruler Subdivisions in the only enabled option in the Snap&Glue dialog, the pointer will snap to the imaginary lines, coming out of the rulers' subdivisions. Use this for the most precise snapping.

Another reason for using the rulers is that you can drag vertical and horizontal guides out of them. To do this, click on the ruler and drag the guide out of it to the place where you want it to appear. Release the mouse button. The guide will appear.

Note, that rulers can be enabled/disabled from the View menu.

Guide lines.

Guide line is a special ConceptDraw object, that may be used for aligning objects and positioning them precisely.

Guide lines can be dragged out from the horizontal and vertical rulers. You can manipulate (select, move, duplicate, delete, etc.) guides like other objects.

In most cases, you'll use guides for glueing objects to them (see the Snapping and gluing section for specifics). So, by gluing objects to a guide you may then reposition them at once keeping their relative distances.

It may be helpful when you're designing an office layout, or an electronic scheme, where you first line up objects along a guide and then move the entire group.

Normally, guides pull the pointer to them when the snapping is on. This functionality may be disabled the Snap&Glue dialog under the Tools menu (Tools/Snap&Glue).

Note: guide lines aren't printed.

Scroll Hand tool

Usually, you can only see a part of the drawing page on the screen. The Scroll Hand tool is used for moving the page so that you can see its different parts. It looks like a hand that grabs the page and moves it according to the mouse movement.

Switch to the Scroll Hand tool, grab the page with the mouse and move it in the direction you need.

Note: you can activate this tool in whatever mode by holding down the Space key and dragging the page with the mouse.

Snapping and gluing

Snapping is the ability of the mouse pointer to jump into position of the nearest snap location. This feature is used for positioning objects precisely with respect to the grid lines, rulers subdivisions, other objects, etc.

Use the Snap tool [image] on the toolbar to turn the snapping on/off.

Note: You'll definitely welcome the possibility of turning Snap on/off on the fly. In any tool, you can invert the Snap mode by holding down the Alt (Cmd) key. This helps to increase precision of your drawing with ease.

You can specify the snapping settings in the Snap&Glue dialog (Tools/Snap&Glue).

SnapGlueDialog.gif (5156 bytes)

If the Snap To Grid option is enabled, the grid will pull the pointer when you manipulate objects. When you drag a handle, the mouse pointer will jump to the nearest grid node or the cell centre. When an entire object is moved, the same occurs to its alignment box.
By default, this option is set to on.

If Ruler Subdivisions is the only option that's enabled, the pointer will snap to the imaginary lines, coming out of the rulers subdivisions. Use this for very precise positioning.

If the Figure Geometry option is checked, the object you move or resize snaps to the outlines of other objects. It's usually a good option when you need to attach an object to another object.

If the Snap To Guide option is on, the pointer snaps to the guide lines. This option is on by default.

Figure Handles: the pointer snaps to the nearest resize handle of an object.

Figure Vertices: the pointer snaps to the nearest vertex of an object.

If the Connection Points option is on, the pointer snaps to the nearest connection point of an object.

Even if the snapping is enabled, the pointer jumps to a snap location starting from a certain distance to the location. This distance can be set in the Document Properties dialog. The default value is 15 pixel. If you want to set a specific snap sensitivity distance for all future documents, specify the new value in the Preferences dialog, under the Default tab (Edit/Preferences...).

Gluing - is a property of objects to stay connected, even if one of the objects is moved. Unlike snapping, gluing maintains the connection after you release the mouse button. To provide precise positioning of objects and handles, it's usually a good idea to use gluing together with snapping.

To enable/disable the gluing , use the Glue On/Off [image] button on the toolbar or check the appropriate option in the Snap&Glue dialog (Tools/Snap&Glue).

You can glue objects to guide lines, control handles to guide lines, or control handles to connection points of objects.

Gluing objects to a guide line:

Sometimes you may need to align objects along a line, so that you can move all objects at once by simply moving the line. This is possible by gluing objects to a guide line. After you glue the objects, they'll be moved together with the guide.

To glue an object to a guide: Turn the gluing mode on, then move the object to the place on the guide you want to glue it to. After you release the mouse button, the resize handles on the glued side of the object turn red indicating the object is glued to the guide.

Gluing control handles to guide lines.

Control handles can be glued to a guide. Turn the gluing mode on, move the control handle to the guide line and release the mouse button. Once glued, the control handle turns red. When you move the guide line, all glued control handles move with it.

Gluing control handles to connection points of objects.

This is one of the main reasons you may use the Glue tool for.

For instance, you have an object with a connector, attached to it. Let's suppose that you need to group them to work with them together. However, in this case the loose end of the connector will lose its ability of gluing to objects. To solve this problem, you should add a control handle to the group, attaching it to the loose end of the connector. Then you can glue the resulting new handle to connection points of other objects as if it was the endpoint of the connector.

To glue a control handle to a connection point of an object, turn the Glue on and move the control handle to a connection point of the object you want to glue it to. On releasing the mouse button, the control handle turns red, indicating that it glued successfully. Now, when you move the object, the connection maintains.

Scaling in documents

When you are drawing a layout that represents a large real-world object, you may have to use scale (for instance, 1cm=1m). Scale of the document can be specified in the Document Properties dialog, under the Settings tab (File/Document Properties).

In the dialog, you may choose one of the preset ISO scales: 1:1000, 1:500, 1:200, 1:100, 1:50, 1:25, 1:20, 1:10, 1:5, 1:2.5, 1:2, 2:1, 5:1, 10:1, 20:1, 50:1. If you need a custom scale, choose the Custom Scale option and specify the desired proportion in the appropriate fields, for example, 1=3, 1in=1ft, 1cm=1km, etc. For the list of supported units of measure, please refer to the Measurements section.

The default scale is 1:1. If you need some other scale for all future documents, save that scale configuration in a template file, and create all new documents from this template.

Measurements

All numeric values used in the program are entered and displayed in certain units of measure. The following units of measure are supported:

For dimensions and distances:

inches, decimal | in
inches, fractional | in
feet, decimal | ft
feet, decimal inches | ft, in
feet, fractional inches | ft, in
yards | yd
miles | mi
millimeters | mm
centimeters | cm
meters | m
kilometers | km

For angles:

degrees | deg
radians | rad

For font size:

points pt

You may specify units of measurement for a document in the Document Properties dialog, under the Settings tab. In the open document, the current unit of measure appear in the top left-hand corner, in the place where the horizontal and vertical rulers meet.

If you're constantly working with the units of measure other than default, enter them in the Units Of Measure field under the Default tab in the Preferences dialog (Edit/Preferences). Then each new document will use this units of measure.

In any input field of ConceptDraw dialogs, you may specify values in the measurement systems other than default. Just put the appropriate abbreviation after the number, for instance: 13 in, 2 mm, 6.5 ft.

Color Palette

When you choose a line or fill color from the button menus on the toolbar, you may need other colors than those 16 the menus offer. Then click on "More Colors" to bring up the Choose Color dialog, where you may pick any of the 256 colors of the color palette of the document.

Each document may have its own color palette. For instance, it's possible to create a palette of 256 gradations of gray. However, you won't be able to use any colors other than these.

To modify the color palette of the document, open the Color Palette dialog from the Tools menu (Tools/Color Palette).

To change a color on the palette to another, click on the box with the color you want to change and choose a new color from the standard dialog that will come up. When all changes are made, you may save the resulting palette in a .pal file. To do this, click the Save Palette button. In the file dialog choose the folder where to store and type a filename for your palette. Then click OK. You can use the saved palette in whatever document. Just load its file in the Color Palette dialog.

Note: Changing a color in the palette affects all objects in the document using this color. The old color will be replaced with a new one everywhere throughout the document. This applies to fills, line colors, background colors, text etc. Please be attentive when modifying the color palette.

Document Properties dialog (General, Page, Settings, Printing)

You can call the Document Properties dialog by selecting Document Properties under the File menu (File/Document Properties).

The General tab

DocPropDialogGen.gif (8369 bytes)

Here you may type information describing the document in the fields as follows: Title, Subject, Author, Company, Description.

The Page tab

DocPropDialogPage.gif (7692 bytes)

Specifies various settings for the entire page:

Orientation: Specifies the page orientation. The portrait option displays the page taller than it is wide, and Landscape option swaps the width and the height (the page is wider than it is tall).

Size: Specifies page dimensions. For Standard and Metric(ISO) options, you choose one of the preset sizes from the respective list:

For Standard:

Letter(8.5in*11in)
Folio(8.5in*13in)
Legal(8.5in*14in)
Tabloid(11in*17in).

For Metric(ISO):

A5(148mm*210mm)
A4(210mm*297mm)
A3(297mm*420mm)
A2(420mm*594mm)
A1(594mm*841mm)
A0(841mm*1189mm)

Custom option lets you enter custom values for the width and height of the page. By default, all dimensions are displayed in the currently used measurement system. However, you may enter values in any supported measurement system (see the Measurements section).

The Settings tab

DocPropDialogSett.gif (10024 bytes)

Here you may specify various document settings.

Units of Measure: Specifies the units of measure in which all numeric values are displayed on the rulers, on the status bar, in the input fields of dialog boxes, and in the table. For specifics, refer to the Measurements section.

Scale:
Here you may choose one of the Standard(ISO) scales. If you need a custom scale,

- Check Custom
- Two fields will appear, where you should specify the ratio of the visual sizes on the page to the real sizes of the objects. For example, 1 in = 1ft; 1 cm = 2 km, etc... It's recommended that the units of measure in the first field correspond to the current units of measure of the document.

For more specific information, refer to the Scaling in documents section.

Undo Dept:
Specifies the number of consecutive actions you can undo. The default value is 30.

Snap Sensitivity:
Sets the distance from which snapping and gluing activate. This distance is set in pixels and doesn't depend on the scale or magnification.

Figure Shadow Offset:
Specifies the amount for horizontal and vertical shadow offset for all objects in the document.

The Printing tab

DocPropDialogPrint.gif (8868 bytes)

This tab describes print properties of the document.

Paper Placement Method:
If the document is larger than one printed page, this setting determines the document is tiled across the sheets of paper: down, then over or over, then down. If the document is smaller than one printed page, this setting is ignored.

Justification:
If the document is smaller than a printed page, here you can control where the document prints on a printed page - in the top left corner, in the center, or in the bottom right corner. If the document is larger than one printed page, this setting is ignored.

Paper Orientation:
This setting specifies the printed page orientation - either Portrait (a page taller than it's wide) or Landscape (a page wider than it's tall). This setting is saved together with the document, and if it's not the same as the page orientation set for the printer, the program will use this setting rather than the printer's.

Note: Changing the paper orientation doesn't change the drawing page orientation and only affects the orientation of the paper you print on.

Print Setup:
Calls the standard dialog where you can set the paper size, scale of the drawing, etc.


Printing documents.

Arranging a document on pages

Concept Draw document size might be bigger than one printed page. Because the printed page and the document page are different things, the size of the printed page is selected from the list of available sizes in the printer properties. The document page size is selected in the document properties dialog box.

While printing the document, all pages of the document are printed out one after another and split into printed pages if needed. For example, if the document page is A3 size, the printed page size is A4, then each document page will be split into 2 printed pages.

Some print settings, such as paper placement order, justification or paper orientation are stored along with ConceptDraw documents. This settings can be modified on the Printing tab of the Document Properties dialog.

If more than one sheet of paper is needed to print one page of the document, you can set how the page is tiled across the sheets of paper: down, then over or over, then down.

If the document's page is smaller than one printed page, you can control how it's positioned on the printed page: In the top left corner, in the center, or in the bottom right corner.

Paper orientation is very important. For instance, if you want to create and print a document of A4 size placed horizontally you'll have to do it in three steps:
1). In the Document Properties dialog, the Page tab (File/Document Properties) set A4 size and horizonral (Landscape) orientation. These settings only apply to the pages of the document, they are not the same as the correspondent settings set for the printer.
2). In the Document Properties dialog, the Printing tab (File/Document Properties) set the Landscape orientation for the printed page.
3). In the Print Setup dialog (File/Print Setup) select A4 size.

Printing.

The Print command prints the document. To perform the command, choose Print from the File menu, or click the Print button [image] on the toolbar.

Ctrl+P | Cmd+P

Before printing starts, the Print Setup document will come up, where additional printing properties can be set.

Choose your printer type in the Printer section. If more than one printer is available, you may choose the one you want from the list. Clicking the Properties button will bring up the printer properties dialog box. It may vary for different printer type. Naturally, this dialog lets you set the printed page size, page orientation, graphic printing properties, fonts and other.

In the same section, you may choose the Print To File option. Use this option if you can't print the document at the moment. Then the program will store information for printing in a file, which you'll be able to print on any other computer connected to the printer identical to that specified in the file, even if ConceptDraw is not installed on the system.

The Print Range section allows you to select pages to be printed if you don't want the whole document to be printed out. Specify the start page and the end page in the appropriate fields.

In the Copies section, set the number of document copies you want to get printed and how to print them.

When you are sure that all settings are okay, click OK to start printing.

For MacOS, dialog boxes for printing settings don't have a common appearance and may vary with the printer type. Besides the above settings, the may contain some specific ones such as paper quality, paper supply way, print quality, etc.

Previewing the document.

You may see how the printed document will look before you start printing it.

Choose Page Breaks under the View menu to see how the document will be divided into printed pages. Bold grey lines indicate the corresponding non-printing areas, thin - are the page separators.

The Print Preview command provides more functions. Select Print Preview from the File menu, or click its [image] button on the toolbar. A new window will open where you can see a few pages on the same screen at the same time.

There are some buttons on the window toolbar:

Print - starts printing the document
Next Page / Prev Page - lets you view the document page by page forward and backwards
One Page / Two Page - displays one or two pages on the screen.
Zoom In / Zoom Out - changes magnification.
Close - closes the Preview window.

Printer setup.

Select Print Setup from the File menu to access the Print Setup dialog box.

Choose your printer type in the Printer section. If more than one printer is available, you may choose the one you want from the list. Clicking the Properties button will bring up the printer properties dialog box. It may vary for different printer types. In the Paper section enter the size of the printed page and the paper supply way (depends on the printer type).

In the Orientation area - select the orientation of pages in your printer (Portrait - for vertical and Landscape - for horizontal orientation).


Working with document pages.

A Concept Draw document may consist of one or several pages. This is very useful when there are descriptions, drawings and other various information in one document. Then a document is some sort of collection of pages.

A new document is created to have one page by default. However you can create a template with several pages initially and create new documents using this template.

A row of buttons in the bottom left-hand part of the screen corresponds to the list of pages of the document. The current page is selected. To scroll through the list use the buttons to the left.

For operations on pages, you can use the Page menu or call the context menu over the page bar at the bottom of the screen. The second way is more convenient.

Global properties of the pages.

Orientation and size are global page properties. In ConceptDraw, these properties are assigned to all pages of the document in the Document Properties dialog under the Page tab (File/Document Properties)

DocPropDialogPage.gif (7692 bytes)

Size types.

There are 3 types to choose from: Standard, Metric and Custom. Each of them has a specific set of dimensions:

Standard:
Letter - 8.5 in * 11 in;
Folio - 8.5 in * 13 in;
Legal - 8.5 in * 14 in;
Tabloid - 11 in * 17 in;

Metric(ISO):
A5 - 148 mm * 210 mm;
A4 - 210 mm * 297 mm;
A3 - 297 mm * 420 mm;
A2 - 420 mm * 594 mm;
A1 - 594 mm * 841 mm;
A0 - 841 mm * 1189 mm;

Custom:
Sets the width and height of the page. You may enter the values in whatever units of measure supported in Concept Draw, for example: 10 in, 2 ft, 30 cm...etc.

Orientation
Determines the way the page is displayed:
Portrait - the height and the width correspond to the specified values;
Landscape - exchanges the values for the height and the width. For example, an A4 size page will have the 297 mm * 210 mm dimensions, (i.e. will be wider than it's tall).

Printing pages

A document page and a printed page are not exactly same things. So, if the document page is of A3 size, and the paper in your printer is of A4 size, each document page will be printed out on 2 paper sheets. To see how the document pages will be arranged on printed pages, enable Page Breaks under the View menu. Bold grey lines correspond to the nonprinting areas of the page, thin grey lines - are separators between the printed pages.

For example, if you want to create and print a document page of A4 size horizontally rather than in its normally vertical orientation, then you have to go through 3steps.
1) In the Document Properties dialog (File/Document Properties), under the Page tab specify A4 size and Landscape orientation. These are the document pages parameters only, and they don't affect printed pages parameters.
2) In the Document Properties dialog (File/Document Properties), under the Printing tab specify Landscape paper orientation.
3) In the Print setup dialog (File/Print Setup), choose A4 size (and Landscape orientation) as well. Check Page Breaks under the View menu to make sure whether your settings are okay.

Adding a page.

To add a new page to the document, choose Add from the Page menu. The Page Properties dialog box will come up.

PageProp.gif (3053 bytes)

For every new page, the program suggests a name like "Page - N", where N is the new page number. You may type in some other name, if you wish. Clicking OK adds the new page to the page list, and you can edit it like all other pages.

Deleting a page.

To delete a page, choose Delete from the Page menu. The Delete Page dialog will come up.

DeletePageDialog.gif (5333 bytes)

In the list of pages select the page to be removed. If the "Update Page Names" option is checked, the program will rearrange all pages with default names so that they have correct numbers. On clicking OK the page you selected will be deleted.

Reordering pages

Besides adding or deleting pages, you may sometimes want to change the order in which pages are placed. To do this, choose Reorder from the Page menu. The Reorder Page dialog box will come up.

PageReorderDialog.gif (5876 bytes)

Select a page from the list. Use the Move Up and Move Down buttons to change its position in the list. If the Update Page Names option is checked, the program will rearrange all pages with default names so that they have correct numbers. Click OK to apply the changes.

Jumping to another page.

There are 2 methods for jumping to another page.

First option is to click the respective page button from the list in the bottom left-hand corner. To scroll the list, use the scroll buttons.

Another option is to specify the page in the Goto Page dialog (Page/Goto).

GotoPage.gif (5015 bytes)

Choose the page you want to jump to from the list and click OK.

Note: you may set the double-click action of objects (see the Double Click section), or their hyperlink options (see the Hyperlink section) so that you can use these objects as links to other pages of the document.

Naming a page.

The name of the active page appears in main window title bar. To change it, choose Properties from the Page menu.

PageProp.gif (3053 bytes)

In the dialog, type a new name and click OK.


Working with layers.

You can use layers to organize related objects in the document. For example, when you're planning a house, you may assign all electrical system to one layer, water-supply system to another, etc.

ConceptDraw supports working with up to 9 layers, one of which is active. To specify the active layer, choose it in the box [image] on the toolbar.

Each layer has a number of properties, which can be changed in the Layer Properties dialog under the View menu (View/LayerProperties).

LayerDialog.GIF (4032 bytes)

-Layer Name - here you can change the default "Layer N" name to a new one. Double click the name in the list, type a new one and click OK.
-Active - only one layer at a time can be active. All new objects that are drag or dropped on a page, belong to the active layer.
-Visible - hides objects on the layer.
-Lock - locks all objects on the layer from being edited. You may find this helpful for creating borders, background drawings, etc.
-Color - displays all objects on the layer in one color. To assign the color, click the Color box and select a color from the Choose Color menu. All objects on the layer will take on the chosen color. Uncheck the option to return objects to their original color.

Note: to modify a setting for all layers at once, you may click on the title bar of a section.

Each object belongs to a layer. An object is assigned to a layer when you create it or drop on the page. You can assign an object to another layer in the SetLayer dialog under the Format menu. Select the new layer from the list and click OK.

LayerD.gif (5163 bytes)

You can also rename layers in this dialog.


Working with the environment.

Templates.

A template is a ConceptDraw file which is used to store the desired set of default settings for new documents (measurement system, grid spacing, scale and other), list of libraries to open and a sample document.

Template files have *.cdt extension.

When you open a template, you open a copy of the sample document stored in the template, and then all libraries according to the list. The document appears in a new window, and the libraries are added to the already open libraries in the library window.

There are several reasons for using templates.

  • When you need to create multiple documents that have a consistent look (for instance, a weekly report form, or a product presentation template). In this case, simply save the sample as a template once, and use this template for creating new similar documents.
  • When your documents require specifically customized settings (related to your country specifics, or the purpose you use ConceptDraw for). This may involve page size, units of measure, font styles, text formatting, grid properties and more. To eliminate the need to reconfigure your documents each time, make all settings once and save them in a template file(s).
    Notice, that settings for each new document are taken from the Blank Drawing.cdt template, which is stored in the Libraries folder.
  • When you have to create a document related to a specific field (for instance, draw an office layout or a company structure), it's usually a good idea to use task-related object libraries supplied with the program. ConceptDraw includes ready-made templates with lists of necessary libraries you may use for each specific task. These templates are stored in the same folders as the appropriate libraries. You may create similar templates for your custom purposes.

For more detailed information about opening templates please refer to the "Creating a new document from a template" section.

For specifics about saving templates see the "Creating a template file" section.

Transporting templates.

When moving a template file from one computer to another, don't forget that a template file only stores references to its libraries rather than the actual libraries. So, you must move the required libraries along with the template. Make sure that the template and the libraries keep their relative positions with respect to one another. Alternatively, you may place libraries in the same folder as the template.

Workspace files

A workspace file stores information about sizes and arrangement of all windows open in the application and the list of open documents and libraries.

Workspace files have *.cdw extension.

By opening a workspace file, you reproduce the state in which the application was before you saved the workspace file, with all documents and libraries keeping the same positions.

Here are some situations in which you may need using workspace files.

  • When constantly working with the same set of documents and libraries.
  • When working with a document displayed in a specific way. For instance, when you need to show tables for some objects, or when several magnified areas of the same page are viewed in separate windows at once.

For more detailed information about opening workspace files please refer to the "Opening documents and libraries by using the workspace" section.

For specifics about saving workspace files see the "Saving a workspace file" section.

Transporting workspace files.

When moving a workspace file from one computer to another, don't forget that a workspace file only stores references to the documents and libraries. So, you ought to move all necessary document and library files along with the workspace. Make sure that the workspace file and the required components keep their relative positions with respect to one another. Alternatively, you may place the document and library files in the same folder as the workspace file.

Program configuration

Global program configuration can be set in the Preferences dialog. To call the dialog, select Preferences under the Edit menu.

The dialog contains the following sections: Default, File Paths, Internet, Encoding, Miscellaneous.

DefaultTab.gif (10994 bytes)

The Default tab describes the settings applied to each new document you create.

When creating a new document, ConceptDraw either takes the settings from a template file or uses those set directly by the user.

The first way is default (Start using a template is selected). The Template field specifies the template file on which a new document will be based (by default, it's Blank Drawing.cdt stored in the Libraries folder). Use the Browse button to select another template file.

If you select Start using the default settings, a new document will be set up according to the configurations described below:

Units of measure:
Specifies the default units of measure. The rulers, the status bar, entry fields in dialogs and the table will display values in this units of measure. For specifics, refer to the Measurements section.

Size:
Specifies the default page size. You may choose one of the standard sizes by checking Standard or Metric(ISO) and choosing a size from the drop-down list.
You may choose Custom to enter the dimensions manually. You may type in the values in any units of measure supported by the program (see the Measurements section).

Snap Sensitivity:
Sets the default distance from which snapping and gluing activate. This distance is set in pixels and doesn't depend on the scale or magnification.

The check box at the bottom of the dialog sets whether to show the Start dialog when you launch the program.

The File Paths tab describes the default paths to ConceptDraw components: documents, libraries, templates, help. To set a path use the Browse button or type it in the field.

When you call the File Open dialog for documents, templates or libraries first time after the program started, the dialog displays the contents of the respective default folder. Later, the File Open dialog displays the current folder for each file type.

The Internet tab specifies the path to the Internet browser which the program uses to follow hyperlinks and search the Internet.

Initially, this path corresponds to your default Internet browser. However, if for some reasons this path is incorrect, you may specify the path to your Web-browser manually.

The Encoding tab sets text encoding properties. Encoding allows to convert text in a uniform format so it can be safely moved between platforms. From the list, choose the encoding used in your country.

The Miscellaneous tab provide the control over additional settings of drawing environment.

The check box Enable library window docking turns to enable/disable the docking feature of library windows.

Check Enable autoscrolling turns to enable/disable of the autoscroll feature of document viewing. Enabled autoscrolling will be moving the document's view area automatically once you move any object or it's handles on the edge view area.

The Smart Selection check box allows to activate/deactivate the Smart Selection mode, when a group of objects selected most recently restores its selection on clicking any object within it.

Text Edit AutoZoom. The text editing functionality has optional settings which enable the autozoom in the document if the text's font is looking too small. This functionality allows to fine tune the program for the best viewed font size.

The Grid Color button allows to set the grid color for the entire application.

The Application Background Color button to assign a color to the area of the drawing window surrounding the page.


Libraries.

ConceptDraw supports working with object libraries. Library is a file that contains a collection of objects. These objects are usually grouped so that they represent a particular topic, for instance: flow chart, computer network, engineering, etc.

Library window.

A special window, called the library window, is used to display open libraries. It usually appears on the left side of the program window.

LibWindow.gif (12643 bytes)

The buttons with names on the top of the library window represent currently open libraries. The pressed button indicates the active library. Only one library at a time may be active. The context menu for each library button contains the following items:

New - creates a new library.
Open - opens an existing library.
Close - closes the active library.
Close All - closes all libraries.
----------------------------------------
Save - saves the active library.
Save As ... - saves the active library under a new name.
---------------------------------------
Properties - calls the Library Properties dialog.
---------------------------------------
View As Icon - displays only library object icons.
View As Text - displays only library object text.

Under the buttons list goes the contents of the active library. The objects can be displayed in the form of icons, or in the form of text. When you position the pointer over an object, its name appears in the status bar, if you pause the pointer over the object, it also displays a tip. The selected object shows a red border around its icon.

There are several ways of how the library window may appear:
*). Alongside the document window. By default, it's positioned along the left side, but can be repositioned along whatever side of the drawing page. Just grip the bar that separates library title buttons from the list of objects, drag it to the side you want to attach it to, and release the mouse button.
When library window is positioned this way, you can alter its width by moving its border adjoining the document window. Position the pointer over the edge of the library window, so that the pointer changes into a double-headed arrow, and drag the border to adjust the window size.
The docking feature may be enabled/disabled in Option dialog, Miscellaneous tab.
*). In floating state. This is the way in which windows usually appear. To make library window float, grip the bar that separates library title buttons from the list of objects, drag it to the centre of the document window and release the mouse button.
*). In minimized state. You can reduce floating library window to its title bar, so that it takes minimum space and can easily restore its previous size. To minimize the floating library window, uncheck Libraries from the View menu, or press F4. To bring the window back, check the menu item, or press F4 again.

Library files allocation.

All provided libraries are located in the Libraries folder of the program's root directory. The Library folder contains task-related subfolders. Library files themselves (*.cdl files for Windows) are located inside these folders.

As you create your own libraries, you may store their files anywhere you want, but we advise to create task-related subfolders inside the Library folder and place your library files there, to keep them in good order.

Opening a library.

To open one or more libraries, click the Open Library tool [image] or choose Open Library from the File menu. The File Open dialog will come up. All libraries supplied with ConceptDraw are located in task-related folders.Select the folder (volume) you want in the upper box and then one or more library files in the main box, and click OK.
The library window will open, including all chosen libraries.

Both libraries and document can be opened by dragging their file icons from Explorer or My Computer windows, and dropping them onto the program window. In this case you have to drag the file icon, position it over the respective taskbar button, wait until the application window opens, and then release the mouse button over the toolbar or over the library window. As you release the button, the mouse pointer must look like this:

Both libraries and documents can be opened by dragging their file icons over the application icon.

Note: If you open a library that's already listed in the library window, by opening it again you'll make it active, not duplicate it.

Creating a new library.

You can create your custom object library, using the New Library command from the File menu. The empty library window will open. Now you can add objects there from documents or other libraries.

Note: Don't forget to save the library after you finished working with it.

Closing a library

To close a library, open its context menu and select Close Library menu item. If any changes were made after the library was last saved, the program suggests that you save changes before closing the library.

To close all open libraries, choose Close All from the context menu.

Saving a library.

To save a library, open its context menu and choose Save from the menu.

If you need to save the library under another name, choose Save As. The Save dialog will come up, where you may specify the name for the library and choose where you want it to be stored.

Library properties.

To set or modify properties of a library, call its context menu and choose Properties from the menu. This will bring up the Library Properties dialog box.

LibPropDialog.gif (6720 bytes)

Title: the name of the library you see on its title button.
Subject: a topic to which the library can be related.
Author: the author's name.
Company: the company name.
Description: a short description.

To save changes, click OK in the dialog and then save the library.

Displaying library objects as icon and as text.

There are two ways of viewing library objects: as icons or as text. To switch between the options, call the context menu for the library window and choose one of the following items: View As Icon or View As Text.

View As Icon.

A library object icon has the size of 29*29 pixel. When you move an object into a library, the program creates its icon automatically. However, you may substitute it with a custom icon. Do the following:
*). Create a 29*29 pixel image in Windows Bitmap (.bmp) format, which you want to assign as the icon. You can use any graphic editor, MS Paint for one.
*). Call the context menu for the object, which icon you want to change. From the menu, select Change Icon. In the File Open dialog, find the file with the icon, select it and click OK.

View As Text.

In this mode, library objects look like small boxes with text inscriptions at their side. One of them can be selected.

Properties of library objects.

To assign and change a library object's properties, use the Library Item Properties dialog. To bring up the dialog, open the context menu of the library object you want and choose Item Properties from the menu.

LibItemProp.gif (4404 bytes)

Item Name - the text of the tip which appears when you pause the pointer over the object.
Item Prompt - text which appears in the status bar when you position the pointer over the object.

Inserting a library object into your document.

There are several methods for inserting a library object into your document:

By dragging and dropping.
Point to a library object, hold down the left mouse button and drag the object from the library window to the document page. Release the mouse button where you want a copy of the object to be inserted.

By double-clicking the object.
If you double-click an object in the library window, its copy will be inserted in the centre of the active document page.

By using Copy & Paste.
Open the context menu for the object, and select Copy from the menu. The copy of the object will be placed on the Clipboard. Then, in the document window, call the context menu again and choose Paste from the menu. The contents of the Clipboard will be inserted in the position of the pointer.

By using the Stamp tool.
In the Stamp mode, by clicking somewhere in the document you insert there a copy of the selected library object. See the Stamp Tool section of this Help for details.

Note: if the connector tool is on and there is a selected object in the document, the object you paste will be automatically connected to the selected object. The object you've just pasted becomes selected. So you can connect objects according to the order in which you insert them in the document.

Adding an object from the document to a library.

There are several ways of adding a new object to a library:

By dragging and dropping.
Point to a document object, hold down the mouse button and drag the object from the document window to the library window. Release the mouse button where you want a copy of the object to be inserted.
Optionally you may use Shift+ for cutting object from document.

Using Copy & Paste.
Open the context menu for the object in the document, and select Copy from the menu. The copy of the object will be placed on the Clipboard. Then in the library window, call the context menu for an object in the library, and perform Paste from the menu. This will shift the object there, inserting the object on the Clipboard in that place. The inserted object becomes selected. To add an object to the end of the library, call the context menu on an empty place in the library window and paste the object there.

Inserting a selected object.
A selected object can be added to a library in an alternative way. From the Edit menu, perform Put Into Library command. This will place the selected object in the library, shifting the selected object there. If there was no object selected in the library, the object from the document will be added to the end of the library.

As an object is inserted in the library, the program creates its library icon automatically. For how to change the library objet icon, see the Displaying library objects as icon and as text section.

Copying objects between and within libraries.

After you get acquainted with the libraries provided with ConceptDraw, you may want to create a compilation of the library objects you used most frequently. You can do this by using the copy/paste operations for the library objects.

Switch to the source library, select an object (it shows red border) and open its context menu. Select copy from the menu. Then switch to the target library (or create a new library), choose a place where you want the object to be inserted, call the context menu there and select Paste from the menu to insert the object.

Another method is dragging library objects with the mouse. To insert a copy of an object into some other library, drag it with the mouse, move over the target library title bar, wait until the library opens and release the mouse where you want the object to be inserted.

To reposition an object within a library simply drag it to the new location. If you hold down the Ctrl (Cmd) key while dragging, a copy of the object will be inserted.

Deleting an object from a library.

To delete an object from a library, open the context menu for the object and choose Remove from the menu. After you confirm deleting, the object will be deleted.

Another option is to use the Cut operation. This one first copies the object on the Clipboard, and then deletes it, so you may use the copy to insert it into some other place in the document, or in another library.

Replacing an object under the existing library icon.

When expanding your libraries, you may need to update a library object without changing its icon. To do so, use the Replace Library Object command under the Edit menu.

Ctrl+Shift+i | Cmd+Shift+i

Select the object in the library, then the updated object in the document and perform the command. You'll get a confirmation message when the operation is over.

Stamp Tool

Stamp Tool lets use a library as a set of drawing tools.

If there's a library object selected, and the Stamp mode is on, clicking once in the document will insert there a copy of the object (stamp it).

You may resize the object immediately on creating it. Just drag the mouse to draw a rectangular area of the desired size, and release the mouse button. In fact, you copy the library object and resize it at the same time. For proportional resizing, hold down the Shift key.

Stamp Tool is the most convenient way to quickly link objects using library connectors. If there's a 1D object (connector) selected in the library, you can attach it to objects straight away, as you do with regular connectors. To invert direction of the connector, hold down the Shift key.

When in the Stamp mode, regular operations, such as selecting, repositioning, resizing are also available.

Note: If there's no object selected in the library, this tool will clone the selected object(s) in the document. If several objects are selected, their copies will be automatically grouped, allowing immediate resizing.


Working with the table.

Each ConceptDraw object is determined by dozens of parameters, such as numbers, text or formulas.

All the parameters are brought together in the table, where each of them can be modified. To call the table of an object, select it and choose Show Table from the Figure menu, or press the F3 key. This will open the object's table in a new window.

Input field

The input field is at the top of the window. When you select a cell in the table, its contents appears in the input field where it can be edited. Double clicking a cell selects its data that appear in the input field. To finish editing, press the Enter key to return to the initial values press the Esc key (you may also click the respective icons to the left of the input field).

Cells

A cell is the place where the program stores a parameter of an object. Once a cell is active, you may edit its contents in the input field at the top of the table window. To quickly start editing, double click the cell. You may use the arrow keys to change the active cell.

What you see in the cell depends on the viewing mode set for the table. These modes are the Values mode and the Formulas mode. When in the Values mode, all cells show the values in the current units of measure of the document. When the Formulas mode is on, all cells that have formulas in them display the formulas. The cells which have no formulas, show the values in the tenths of millimetre. Note, that if a cell contains a formula, the input field will always contain a formula when you select the cell, regardless of the viewing mode.

Not every cell allows to input a formula in it. Some support only numeric values. The cells that allow formulas display their contents in blue, the rest display the values in green.

You can input values in units of measure other than default. For instance: 12 in, 3.5 ft, 0.66 m.

When editing the contents of a cell, you may use the data of another cell, by clicking that cell with the mouse:
Single click - adds its formula to the input field.
Click with the Ctrl(Win)/Cmd(Mac) down - adds the numeric value to the input field.
Click with the Alt down - adds the name of the cell (to refer to it in formulas).

Formulas.

By using formulas, you can make one parameter of an object dependent upon other parameters, or upon the actions of the user. Here are some examples of formulas:

*). Variables.X1+(Variables.X2-Variables.X1)*0.293
*). _min(0;Geometry1.X2-Variables.X2)
*). =_IF(Variables.X1=1;_Setf("Variables.X1";0);_Setf("Variables.X1";1))

If you want to address a contents of a cell, in a formula indicate the name of the cell (it appears in red near the cell). For instance: Width, TextAngle, etc.

For sections, where you can add cells (sections as Geometry, Controls, Connect, Variables, Font Format, Paragraph Format, Actions), other addressing is used:
<section name>.<cell name>
The section name is composed of the column name and the string number.
For example: "Controls.YDyn1"; "Variables.Y2"; "Connect.X1"

For the Geometry section, the section name also includes the section number - because a figure may have more than one geometry. For example: Geometry1.Y1, Geometry2.C2. So, for the first two cells the names look like this:
"Geometry1.Visible" and "Geometry1.Filled"

Formulas often include functions. The full list of functions and their specifics can be found in the Functions section.

Another case is when you want to address cells that describe other objects. Every object has its identification number (you may see it in the title bar of the table window, or in the Information dialog, ID section). This ID is used when addressing the parameters of the object: "ObjID13.Geometry2.X1" or "ObjID2.Width".
If the object belong to a group, you should use the Parent prefix to address parameters of the group. For instance: "Parent.Height"
If you address objects within a group, it looks like this: "Child2.Angle". The number after the name corresponds to the order of the object within the group. You may see this number in the Information dialog (SubID field).

The program may create some formulas automatically. Such formulas are called default formulas. For instance, when we create a line, the program will describe one of its parts as follows:

Here, Width*0.75000 and Height*0.666667 are default formulas. Due to the formulas, vertices maintain their positions with respect to the alignment box of the object when the object is resized. This formulas change when you reposition vertices or the object.

If a formula has the "=" sign near it, it means that the user can't alter the formula, unless s/he edits its cell. If the formula hasn't the "=" sign before it, it may be altered when you apply actions to the parameter it represents.


Sections.

The table window has a number of sections. Each section describes a functionality of the object (for instance, its position, dimensions, text, etc.). For every section, you may hide it or make visible. To show/hide sections, use the View Sections dialog (select Sections under the View menu).
Some sections may be missing, if the object doesn't have a specific function (for instance, control handles or the context menu). To add sections, use the Insert Sections dialog (Insert Section under the Edit menu).

Here is the list of sections the table may have:

Transform
Geometry
Endpoints
Controls
Connect
Variables
Line Properties
Fill Format
Protection
Text Transform
Character Format
Paragraph Format
Text Block Format
Text Field
Miscellaneous
Actions

One of the sections is active (it's title bar appears in blue). You may edit cells in the active section. To make a section active, click its title bar or any of the cells inside it.

Each section can be minimized so that only its title bar appears. To minimize a section, activate it and then click the title bar. Click again to expand the section.

For some sections (such as Geometry, Controls, Connect, Variables, Font Format, Paragraph Format, Actions), a row of cells may describe a single element of the object (such as a control handle, a linear segment of a figure, and so on). It this case, operations on the whole row are possible: Add Row, Delete Row.


Transform section.

This section contains parameters which define the position, size and orientation of the object.
Note, that the coordinate system is based on the alignment box of the object: the coordinate origin is in the top left-hand corner, horizontal coordinates increase as you move from left to right, and vertical coordinates increase as you move from top to bottom.

Since an object may be part of a parent group, the following parameters describe its position within the group (relatively to the coordinate system of the group):

OriginX, OriginY, Àngle, LocPinX, LocPinY for a 2D object
BeginX, BeginY, EndX, EndY, Angle, LocPinX, LocPinY for a 1D object.

Note, that if an object isn't part of any parent group, the program considers that it belongs to the group formed by the entire page.

Here are the fields of the section:

Width.

Describes the width of the alignment box of the object. In the Formulas mode, you see the data in tenths of millimetres, in the Values mode all data is displayed in the current unit of measure.
As a rule, the Width parameter is used as a variable in formulas for other fields.

The 1D objects usually have the formula in this field: _HYP(EndX-BeginX;EndY-BeginY).
If the object is part of a group, its width is described through the width and height of the parent group. For example: _HYP(Parent.Width*0.308575;Parent.Height*0.283963).

Height.

Describes the height of the alignment box of the object. In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure.
As a rule, the Height parameter is used as a variable in formulas for other fields.

Usually there is a number in this field. If the object is part of a group, its height is described through the width and height of the parent group. For example: _HYP(Parent.Width*0.267234;Parent.Height*0.081973).

Angle.

The angle of the object with respect to its parent group. Describes the width of the alignment box of the object. In the Formulas mode, you see the angle in radians, in the Values mode the angle is displayed in degrees. The angle value may range from -180 deg to 180 deg.

The 1D objects usually have the formula for the angle: FlipX*_PI()+_ATAN2(EndY-BeginY;EndX-BeginX).

OriginX.

Specifies the X offset of the rotation centre of the object with respect to its parent group. In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure.

OriginY.

Specifies the Y offset of the rotation centre of the object with respect to its parent group. In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure.

LocPinX.

Describes the X offset of the rotation centre of the object relatively the coordinate origin of the object. In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure.
The default formula is Width*0.5

LocPinY.

Describes the Y offset of the rotation centre of the object relatively the origin of the object. In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure.
The default formula is Height*0.5

FlipX.

The flag for horizontal flipping. This is a binary value:
FALSE - the object isn't flipped ;
TRUE - the object is flipped;

FlipY.

The flag for vertical flipping. This is a binary value:
FALSE - the object is flipped;
TRUE - the object isn't flipped.


Geometry section.

This section describes geometries (or solid sequences of segments) of the object. Since an object may have more then one geometry, there maybe several Geometry sections. Then a number follows the section name: Geometry1,Geometry2,...

To add a new Geometry section:
- Open the context menu in the table window and choose Insert Sections from the context menu.
- The Insert Section dialog will come up. In the dialog, choose the Geometry option and click OK. A new Geometry section will be added to the table. It will have three rows: Properties, Start and LineTo.

Sometimes it is possible that Geometry sections exist in the table but you can't see them because they are hidden.
To make Geometry sections visible:
- Call the context menu in the table window, and select View Sections from the menu.
- The View Sections dialog will come up. In the dialog, check the Geometry option and click OK.

A segment may represent a point, a part of a line, an arc of a circle or of an ellipse, a part of the spline. In the table, the end of one segment usually coincides with the beginning of the adjoining segment.

All coordinates appear in the coordination system of the object.

You can add a segment to the active section. Call the context menu and choose AddRow from the menu. A new LineTo segment will be added to the Geometry section.

Properties.X

This parameter defines whether the file of segments is visible or not. The value appears in the binary format:
TRUE - the file of segments is visible;
FALSE - the file of segments isn't visible.

The default value is TRUE.

By changing this flag, you may hide or display geometries of an object.

In formulas, this parameter is addressed in the following way: GeometryN.Visible, where N - is the number of the geometry.

Properties.Y

This parameter defines whether the fill of the object is visible. It works only for closed geometries. The value is binary:
TRUE - show fill;
FALSE - hide fill;

The default value is TRUE.

In formulas, this parameter is addressed in the following way: GeometryN.Filled, where N is the number of the geometry.

Start.

The starting point of the file of segments. X and Y fields contain the respective coordinates.
In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure.

Each Geometry section has only one Start parameter.

LineTo.

A linear segment. The X and Y fields contain the respective coordinates for the end of the segment.
In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure.
The coordinates for the begin point of the segment are taken from the X and Y fields of the previous segment.

ArcTo

An arc of a circle. This segment is defined by three points. The coordinates for the begin point are taken from the X and Y fields of the previous segment, positions for the end point are stored in the X and Y fields, and for the point on the arc - in the A and B fields.
In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure.

EllipseTo

An arc of a circle. This segment is defined by three points, and two additional parameters. They are: the ratio of the large semi-axis to the small semi-axis and the large semi-axis angle. The coordinates for the begin point are taken from the X and Y fields of the previous segment, positions for the end point are stored in the X and Y fields, and for the point on the arc - in the A and B fields.
In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure.
The C field contains the ratio of the large semi-axis to the small semi-axis. If this value equals 1, an ellipse arc becomes a circle arc.
The D field is large semi-axis angle with respect to the frame of reference of the object. In the Formulas mode, you see the angle in radians, in the Values mode the angle is displayed in degrees. The angle is usually within 0 to 180 degree range.

SplineStart

The starting segment of the spline. It is defined by two points: the begin point (X and Y fields) and the guide point (A and B fields).
In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure.
The SplineStart segment in the table should be followed by one or more SplineKnot segments.

SplineKnot

Is a segment of the spline. It is defined by four points: the begin point (X and Y fields of the previous segment), the begin guide point (A and B fields of the previous segment), the end point of the segment (X and Y fields) and the end guide point (A and B fields).
In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure.


Endpoints section.

This section describes the coordinates (X and Y) of the begin and the end points of the 1D object with respect to the parent group.

BeginX

Describes the X offset of the begin point with respect to the origin point of the parent group. In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure.

BeginY

Describes the Y offset of the begin point with respect to the origin point of the parent group. In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure.

EndX

Describes the X offset of the end point with respect to the origin point of the parent group. In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure.

EndY

Describes the Y offset of the end point with respect to the origin point of the parent group. In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure.


Controls section.

This section describes control points of the object. Since an object may have no control points, this section may be missing in the table.

To add this section to the table:
- Open the context menu in the table window and select Insert Sections from the menu.
- This will bring up the Insert Sections dialog box. From the dialog, check the Control Points box and click OK. The Controls section will be added to the table. It will have one row (that is, one control point).

Sometimes it may be possible that the Controls section already exists in the table, but is not visible.
To make the Controls section visible:
- Open the context menu in the table window, and select View Sections from the menu.
- The View Sections dialog will come up. From the dialog, check the Control Points box and click OK. The Controls section appears in the table.

To add a control point:
Open the context menu for the section you want, and select Add Row from the menu. A new row describing a control point will be added to the end of the section.

To delete a control point:
Open the context menu for the row you want to delete, and select Delete Row from the menu. The row describing that control point will be removed.
Removing the last control point removes the section with it.

All parameters in the Controls section use the coordination system of the object.

X

Describes the X offset of the control point. If you didn't change this value, the origin point for the offset is determined by the value in the X Behaviour field:
0, 1, 2, 5, 6, 7 - offset with respect to the left side of the alignment box (for instance, Width*0.25);
3,8 - offset with respect to the centre of the alignment box (for instance, Width/2-63.5);
4,9 - offset with respect to the right side of the alignment box (for instance, Width-190.5).

In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure.

Y

Describes the Y offset of the control point. if you didn't change this value, the origin point for the offset is determined by the value in the Y Behaviour field:
0, 1, 2, 5, 6, 7 - offset with respect to the top of the alignment box (for instance, Height*0.75);
3,8 - offset with respect to the centre of the alignment box (for instance, Height/2+63.5);
4,9 - offset with respect to the bottom of the alignment box (for instance, Height-63.5).

In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure.

XDyn

This is the X coordinate of the end of the line that drags behind the control handle as you move it. In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure.

YDyn

This is the Y coordinate of the end of the line that drags behind the control handle as you move it. In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure.

XBehaviour

This parameter determines how the control point moves along the X axis when the object is resized. If there was a default formula in the X field, the program changes it according to the XBehaviour field value after the control point is repositioned.

When resizing the object:
0 - The control re-positions proportionally with respect to the alignment box.
1 - The control point re-positions proportionally with respect to the alignment box. The re-positioning with the mouse along the X axis is locked.
2 - The distance stays constant to the left side of the alignment box.
3 - The distance stays constant to the centre of the alignment box.
4 - The distance stays constant to the right side of the alignment box.
5- The control point is invisible. When resizing the object, the control point moves proportionally with respect to the alignment box.
6- The control point is invisible. When resizing the object, the control point moves proportionally with respect to the alignment box. The repositioning with the mouse along the X axis is locked.
7 - The control point is invisible. When resizing the object, the distance stays constant to the left side of the alignment box.
8 - The control point is invisible. When resizing the object, the distance stays constant to the centre of the alignment box.
9 - The control point is invisible. When resizing the object, the distance stays constant to the right side of the alignment box.

Y Behaviour

This parameter determines how the control point moves along the Y axis when the object is resized. If there was a default formula in the Y field, the program changes it according to the YBehaviour field value after the control point is repositioned.

When resizing the object:
0 - The control re-positions proportionally with respect to the alignment box.
1 - The control point re-positions proportionally with respect to the alignment box. The re-positioning with the mouse along the Y axis is locked.
2 - The distance stays constant to the top of the alignment box.
3 - The distance stays constant to the centre of the alignment box.
4 - The distance stays constant to the bottom of the alignment box.
5- The control point is invisible. When resizing the object, the control point moves proportionally with respect to the alignment box.
6- The control point is invisible. When resizing the object, the control point moves proportionally with respect to the alignment box. The repositioning with the mouse along the Y axis is locked.
7 - The control point is invisible. When resizing the object, the distance stays constant to the top of the alignment box.
8 - The control point is invisible. When resizing the object, the distance stays constant to the centre of the alignment box.
9 - The control point is invisible. When resizing the object, the distance stays constant to the bottom of the alignment box.

Comment

Use this comment to assign the tip for the control point. If this field is not empty, the text in the field will show up when you pause the mouse pointer over the control point.


Connect section.

This section describes the connection points of the object. Since an object may have no connection points, this section may be missing in the table.

To add this section to the table:
- Open the context menu in the table window and select Insert Sections from the menu.
- This will bring up the Insert Sections dialog box. From the dialog, check the Connection Points box and click OK. The Connect section will be added to the table. Initially, it will have one row (that is, one connection point).

Sometimes it may be possible that the Connect section already exists in the table, but is not visible.
To make the Connect section visible:
- Open the context menu in the table window, and select View Sections from the menu.
- The View Sections dialog will come up. From the dialog, check the Connection Points box and click OK. The Connect section appears in the table.

To add a connection point:
Open the context menu for the section you want, and select Add Row from the menu. A new row describing a connection point will be added to the end of the section.

To delete a connection point:
Open the context menu for the row you want to delete, and select Delete Row from the menu. The row describing that connection point will be removed.
Removing the last connection point removes the section with it.

All parameters in the Controls section use the coordination system of the object.

X

This field describes the X offset of the connection point. In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure.

Y

This field describes the Y offset of the connection point. In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure.


Variables section.

This section describes additional variables of the object. Since an object may have no additional variables, this section may be missing in the table.

You may need variables when several different fields use the results of same calculations. So, the additional variables can be used to store the results. You may also use the additional variables to store various object parameters, which you're working with, so that you don't have to refer to them.

To add this section to the table:
- Open the context menu in the table window and select Insert Sections from the menu.
- This will bring up the Insert Sections dialog box. From the dialog, check the Variables box and click OK. The Variables section will be added to the table. It will have one row.

Sometimes it may be possible that the Variables section already exists in the table, but is not visible.
To make the Variables section visible:
- Open the context menu in the table window, and select View Sections from the menu.
- The View Sections dialog will come up. From the dialog, check the Variables box and click OK. The Variables section appears in the table.

To add new variables:
Open the context menu for the section you want, and select Add Row from the menu. A new row for variables will be added to the end of the section.

To delete a row with variables:
Open the context menu for the row you want to delete, and select Delete Row from the menu. This will delete the row. Removing the last row removes the entire section with it.

Each row contains two variables: X and Y. In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure.


Line Properties section.

This section contains variables which describe the appearance of the lines that form the object. Others define the shape and size of the arrowheads, which geometries may have on their ends.

LineStyle

This parameter sets the dash or dot pattern for the line. One of the following values can be used:

0 - the line is invisible;
1 - the line is solid;
2 - 16 - different dash or dot patterns.

LineWidth

Describes the line width. One unit equals one tenth of millimetre. The valid value range is 1 to 500 units.

LineColor

Specifies the line color. The value in the field corresponds to the color number in the color palette if the document. The value range is 0 to 255.

BeginArrow

This parameter specifies the type of arrowhead for the beginning of each geometry of the object. You may use one of the following values:
0 - no arrowhead;
1 - 60 - different arrowhead types.

EndArrow

This parameter specifies the type of arrowhead for the end of each geometry of the object. You may use one of the following values:
0 - no arrowhead;
1 - 60 - different arrowhead types.

ArrowSize

Specifies the size of the arrows on the object. The following sizes are available:
0 - Tiny;
1 - Small;
2 - Medium;
3 - Big;
4 - Large.

Note: alternatively, you may change these settings in the Line Properties dialog box.


Fill Format section.

In this section you may set parameters describing the fill and the shadow properties.

FillPattern

Sets the fill pattern. The following values are available:
0 - no fill pattern;
1 - fill with plain foreground color (FillForegnd);
2 - 38 - use a fill pattern;
50 - 53 - use gradient fill pattern.

FillForegnd

Sets the foreground color. The value in the field corresponds to the number of the color in the color palette of the document. The valid values are 0 to 255.

FillBackgnd.

Sets the background color. The value in the field corresponds to the number of the color in the color palette of the document. The valid values are 0 to 255.

ShadowPattern

Sets the shadow fill pattern. The following values are
available:
0 - no fill pattern;
1 - fill with plain foreground color (ShadowForegnd);
2 - 38 - use a shadow pattern;

ShadowForegnd

Sets the shadow foreground color. The value in the field corresponds to the number of the color in the color palette of the document. The valid values are 0 to 255.

ShadowBackgnd.

Sets the shadow background color. The value in the field corresponds to the number of the color in the color palette of the document. The valid values are 0 to 255.

Note: Alternatively, these settings can be changed in the Fill&Shadow dialog box.


Protection section.

It this section you may lock some parameters of the object against changing them with the mouse. However, even when locked, this parameters can be still changed in the table, or may be changed when you apply some actions to a group to which the object belong (like resizing - when resizing a group with an object locked against resizing within it, it will be resizes with the entire group, in spite of the protection). The locked handles appear as grey padlocks.

All values of this section are binary values.

LockWidth

Locks the object's width against sizing.

TRUE - the width can't be sized;
FALSE - the width can be sized.

LockHeight

Locks the object's height against sizing.

TRUE - the height can't be sized;
FALSE - the height can be sized.

LockMoveX

Locks the object against moving it horizontally.

TRUE - horizontal movements are prohibited;
FALSE - horizontal movements are allowed.

LockMoveY

Locks the object against moving it vertically.

TRUE - vertical movements are prohibited;
FALSE - vertical movements are allowed.

LockAspect

Locks the object against unproportional resizing.

TRUE - only proportional resizing is possible;
FALSE - both proportional and unproportional resizing is possible.

LockCalcWH

Sets whether the alignment box of the object remains the same after you move a vertex on the object, or changes according to the new object outline.

TRUE - the alignment box remains the same;
FALSE - the alignment box changes according to the new outline.

LockRotate

Locks the object against rotation.

TRUE - the rotation is prohibited;
FALSE - the rotation is allowed.

LockDelete

Lock the object so it cannot be deleted. When you're trying to delete the locked object, it displays a warning that it can't be deleted.

TRUE - the object is protected against being deleted;
FALSE - the object can be deleted.

If you want to protect a large number of objects against being deleted, it's convenient to assign them all to a specific layer, and then lock that layer in the Layer Properties dialog.

LockBegin

Locks the begin point of the object (for 1D objects) against repositioning

TRUE - the point is locked;
FALSE - the point is not locked.

LockEnd

Locks the end point of the object (for 1D objects) against repositioning

TRUE - the point is locked;
FALSE - the point is not locked.

LockVertex

Prevents vertices from being edited with the mouse.

TRUE - the protection is on;
FALSE - the protection is off.

Note: Alternatively, some of these parameters can be changed in the Protection dialog box.


Text Transform section.

This sections contains parameters which define the position, size and orientation of the text box of the object. The values are represented in the coordinate system of the object, which is based on the alignment box of the object: the coordinate origin is in the top left-hand corner, horizontal coordinates increase as you move from left to right, and vertical coordinates increase as you move from top to bottom.

TextWidth.

Describes the width of the text box. In the Formulas mode, you see the values in tenths of millimetres, in the Values mode all values are displayed in the current unit of measure.

By default, the text box width is the same as the alignment box width.

TextHeight.

Describes the height of the text box. In the Formulas mode, you see the values in tenths of millimetres, in the Values mode all values are displayed in the current unit of measure.

By default, the text box height is the same as the alignment box height.

TextAngle.

The angle of the text box with respect to the alignment box of the object. In the Formulas mode, you see the angle in radians, in the Values mode the angle is displayed in degrees. The angle value may range from -180 deg to 180 deg.

The default value is 0 (the text box isn't rotated).

TextOriginX.

Specifies the X offset of the rotation centre of the text box in the coordinate system of the object. In the Formulas mode, you see the values in tenths of millimetres, in the Values mode all values are displayed in the current unit of measure.

TextOriginY.

Specifies the Y offset of the rotation centre of the text box in the coordinate system of the object. In the Formulas mode, you see the values in tenths of millimetres, in the Values mode all values are displayed in the current unit of measure.

TextPinX.

Specifies the X offset of the rotation centre of the text box in the coordinate system of the text box. In the Formulas mode, you see the values in tenths of millimetres, in the Values mode all values are displayed in the current unit of measure.

The default formula is: TextWidth*0.5.

TextPinY.

Specifies the Y offset of the rotation centre of the text box in the coordinate system of the text box. In the Formulas mode, you see the values in tenths of millimetres, in the Values mode all values are displayed in the current unit of measure.

The default formula is: TextHeight*0.5.


Font Format section

Character Format section.

The text of any object is composed of one or more text blocks. A text block is a section of text with same formatting styles, that is, same font, font size, font color and font attributes (bold, italic, etc.). In the Character Format section, each block is described in an individual row. The title field of each row shows the position of the last character of this block counting from the beginning of the entire object text.

Font

This field contains the number of the font it has in the font list of the document. The program generates this list basing on the fonts installed on your system. If you paste in the document some text with the font that's missing on your system, the program will display this text in the Arial font.

Size

This field contains the font size in pixels. Only positive values can be used.

Color

This field specifies the color of the text in the block. The value corresponds to the number of the color in the color palette of the document. The value may vary from 0 to 255.

Style

The number in the field describes the font attributes for the text block. Each attribute is associated with a digit in the binary representation of the number:
2^0=1 - bold;
2^1=2 - italic;
2^2=4 - underlined;
2^3=8 - crossed out.

So, the number for the bold italicized font will be 1+2=3.

Note: Alternatively, these parameters can be changed under the Font tab of the Text Properties dialog.


Paragraph section.

A paragraph is a text block, that ends with the line feed symbol. An object's text can consist of one or more paragraphs. Paragraphs may have alignment and indentation. The amount of indentation doesn't depend on the scale of the document.

Normally, the paragraph section contains several rows, each of them describing one paragraph. The title field of each row shows the position of the last character of the paragraph counting from the beginning of the entire object text.

FirstInd

Specifies indentation for the first line of the paragraph. In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure. This value doesn't depend on the scale of the document.

LeftInd

Specifies indentation of the left side of the paragraph. In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure. This value doesn't depend on the scale of the document.

RightInd

Specifies indentation of the right side of the paragraph. In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure. This value doesn't depend on the scale of the document.

HAlign

This field describes the horizontal alignment of the paragraph in relation to the text box. The number in the field corresponds to the following allignment type:

0 - align on the left side of the text box;
1 - align on the centre of the text box;
2 - align on the right side of the text box.

Note: Alternatively, these parameters can be changed under the Paragraph tab of the Text Properties dialog.


Text Block Format section.

This section describes global text properties of the object. They are the alignment, margins and background color.

VAlign

Specifies the vertical alignment type of the text in relation to the text box of the object. The number in the field corresponds to the following alignment type:

0 - align on the top of the text box;
1 - align on the center of the text box;
2 - align on the bottom of the text box.

TopMargin

Specifies the distance between the text and the top of the text box. In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure. This value doesn't depend on the scale of the document.

BottomMargin

Specifies the distance between the text and the bottom of the text box. In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure. This value doesn't depend on the scale of the document.

LeftMargin

Specifies the distance between the text and the left side of the text box. In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure. This value doesn't depend on the scale of the document.
Note, that the actual distance between the text and the left side of the text box also includes the paragraph indentation (LeftInd field in the Paragraph Format section). For the first line of the paragraph, add the FirstInd field as well.

RightMargin

Specifies the distance between the text and the right side of the text box. In the Formulas mode, you see the data in tenths of millimetres, in the Values mode the data is displayed in the current unit of measure. This value doesn't depend on the scale of the document.
Note, that the actual distance between the text and the right side of the text box also includes the paragraph indentation (RightInd field in the Paragraph Format section).

TextBkgnd

Describes the text background color. The value corresponds to the number of the color in the color palette of the document. The value may vary from 0 to 255.

Note: Alternatively, these parameters can be changed under the Text Block tab of the Text Properties dialog.


Text Field section.

This section has only one cell, named The Text, which contains the text, associated with the object. The text must be in quotation marks.

Some hints on how you can use this section:

- Suppose that the text of an object contains some information you want to use as a parameter for other objects. It may be the height of a column in a diagram, so that the column changes its height according to the value you type in it.
So, as you type in a new value, the text gets into the TheText cell in the table. Then in another cell, say, Variables.X1, this text is transformed into a number (=_evaltext(TheText)), which you can use for further calculations.

- The text can also reflect this or that object or system parameter. For instance, you may assign an object to show the system time, its angle, its width, or similar, as the text. Then the TheText cell addresses to that parameter.
For example: in the Variables.X5 cell the sector size as a percentage is stored. To show this value in the text of the object, specify the following in the TheText cell: =_valtotext(Variables.X5)+"%".


Miscellaneous section.

This section contains parameters that define the appearance and behaviour of the object.

ObjHandles

A binary value, which defines whether the object's rotation and resize handles are visible or not.
TRUE - the handles are visible;
FALSE - the handles are invisible.

AlignBox

A binary value, which defines whether the object's alignment box is visible or not.
TRUE - the alignment box is visible;
FALSE - the alignment box is invisible.

NonPrinting

A binary value, which defines whether the object will be printed when you print the page.
TRUE - the object will not be printed;
FALSE - the object will be printed.

ResizeBehavior

This field determines the way the object behaves when you resize the group to which it belongs.

0 - Corresponds to the group's appropriate setting;
1 - Simply repositions keeping the size;
2 - Resizes when the group is resized.

CtrlHandles

A binary value, which defines whether the object's control handles are visible or not.
TRUE - the control handles are visible;
FALSE - the control handles are invisible.

ShowText

A binary value, which defines whether the object's text is visible or not.
TRUE - the text is visible;
FALSE - the text is invisible.


Actions section.

In this section, you may create and describe the user's context menu. Since an object may not have the user's context menu, this section may be missing in the table.

To add this section to the table:
- Open the context menu in the table window and select Insert Sections from the menu.
- This will bring up the Insert Sections dialog box. From the dialog, check the Actions box and click OK. The Actions section will be added to the table. Initially, it has one row (that is, one menu item).

Sometimes it may be possible that the Actions section already exists in the table, but is not visible.
To make the Actions section visible:
- Open the context menu in the table window, and select View Sections from the menu.
- The View Sections dialog will come up. From the dialog, check the Actions box and click OK. The Actions section appears in the table.

Each row in the section corresponds to a user's menu item.
To add a new menu item:
Open the context menu for the section you want, and select Add Row. A new row will be added to the end of the section.

To delete a menu item :
Open the context menu for the row you want to delete, and select Delete Row. This will delete the row that describes this user's menu item. Removing the last row removes the entire section with it.

Action

This field determines the action the program takes when the menu item is clicked. For instance, clicking the menu item can assign a value to a parameter of the object: _SETF("Variables.X4";0.2). To create the line, that separates one menu item from another separator, input in this field any number other than 0.

Menu

Type the name of the menu item here. The name must be enclosed in quotation marks.

Prompt

The text that will appear on the status bar when you position the pointer over the menu item. The text must be in brackets.

Checked

The flag that defines whether the check sign on the left of the menu item should be displayed.

TRUE - show the check sign;
FALSE - don't show the check sign.

Disabled

The flag that disables the menu item (when disabled, the item appears in grey and can't be selected).

TRUE - disable the menu item;
FALSE - enable the menu item.


Functions.

In alphabetical order:

_ABS
_ACOS
_AND
_ANG360
_ASIN
_ATAN
_ATAN2
_AUTHORNAME
_CENTERX
_CENTERY
_CIRCLE_CENTERX
_CIRCLE_CENTERY
_CIRCLES3RD_X
_CIRCLES3RD_Y
_COMPANYNAME
_COS
_COSH
_CUT 		_DATE
_DEG
_ELLIPSE_ANGLE
_ELLIPSE_ASPECT
_EVALTEXT
_FABS
_FILENAME
_FLOOR
_FULLFILENAME
_GRAVITY
_HYP
_IF
_LG10
_LN
_LOCALX
_LOCALY
_MAX
_MEASURE 		_MIN
_MOD
_NOT
_OR
_PAGEHEIGHT
_PAGENAME
_PAGENUMBER
_PAGESCOUNT
_PAGEWIDTH
_PI
_POW
_RAD
_RAND
_ROUND
_SCALE
_SETF
_SIGN
_SIN 		_SINH
_SQRT
_TAN
_TANH
_TEXTHEIGHT
_TEXTLEFT
_TEXTLENGTH
_TEXTRIGHT
_TEXTWIDTH
_TIME
_TITLE
_VALTOTEXT
_VALTOTEXTMES
_WORLDX
_WORLDY
_XOR

By sections:

Mathematical:
_ABS
_CENTERX
_CENTERY
_CIRCLE_CENTERX
_CIRCLE_CENTERY
_CIRCLES3RD_X
_CIRCLES3RD_Y
_CUT
_ELLIPSE_ANGLE
_ELLIPSE_ASPECT
_FABS
_GRAVITY
_HYP
_LG10
_LN
_LOCALX
_LOCALY
_MAX
_MIN
_MOD
_POW
_RAND
_SIGN
_SQRT
_WORLDX
_WORLDY

Trigonometrical:
_ACOS
_ASIN
_ATAN
_ATAN2
_COS
_COSH
_PI
_SIN
_SINH
_TAN
_TANH

Logical:
_AND
_IF
_NOT
_OR
_XOR

Functions for transformation and approximation:
_ANG360
_DEG
_RAD
_ROUND
_FLOOR

Text:
_AUTHORNAME
_COMPANYNAME
_EVALTEXT
_FILENAME
_FULLFILENAME
_MEASURE
_SCALE
_TEXTHEIGHT
_TEXTLEFT
_TEXTLENGTH
_TEXTRIGHT
_TEXTWIDTH
_TITLE
_VALTOTEXT
_VALTOTEXTMES

Date and time:
_DATE
_TIME

Page properties:
_PAGEHEIGHT
_PAGENAME
_PAGENUMBER
_PAGESCOUNT
_PAGEWIDTH

Various:
_SETF

_ABS

_ABS(arg)
Returns the absolute value of the arg number.

_ABS(str)
Returns the str string without changing it.

Examples:
_ABS(-3) = 3
_ABS(0) = 0
_ABS(4) = 4
_ABS("Text") = "Text"

_ACOS

_ACOS(arg)
Returns the arc cosine of the arg (its value is within the -pi/2 to pi/2 range).
The argument value must be within the -1 to 1 ranger. Otherwise the error code generates.

_AND

_AND(arg1;arg2)
Returns the bitwise AND;

_AND(str1;str2)
Returns 1 - if the strings are not empty, and 0 - if at least one of them is empty.

_AND(str;arg)
_AND(arg;str)
Returns arg.

Examples:
_AND( 1; 0) = 0
_AND( 3; 2) = 2
_AND("Hello!"; "") = 0
_AND("Text1"; "Text2") = 1
_AND("Text"; 2) = 2

_ANG360

_ANG360(arg)
Returns the arg angle, reduced to the 0 to 2*pi interval.

Examples:
_ANG360( 481 deg ) = 121 deg
_ANG360( -4.5 rad) = 1.7832 rad

_ASIN

_ASIN(arg)
Returns the arc sine of arg (its value is within the -pi/2 to pi/2 range).
The argument value must be within a -1 to 1 range. Otherwise an error code is generated.

_ATAN

_ATAN(arg)
Returns the arctangent of arg (the returned value is within the -pi/2 to pi/2 range).

_ATAN2

_ATAN2(arg1;arg2)
Returns the arctangent of (arg1/arg2). Unlike the _ATAN function, _ATAN2 correctly processes expressions where the arg2 value equals 0. Anyway, the returned value is within the -pi/2 to pi/2 range.

Examples:
_ATAN( 1; 0 ) = 90 deg
_ATAN( 2; 2 ) = 45 deg

_AUTHORNAME

_AUTHORNAME()
Returns the document author's name, which you specify in the Document Properties dialog (File/Document Properties).

Example:
"Author: "+_AUTHORNAME()= "Author: Bill Jonson"

_CENTERX

_CENTERX()
Returns the X coordinate of the centre of the object. The centre of the object is:
- for the smart connector - the middle of its central segment, if the number of segments is odd, or the crossing point of two middle segments, if the number of the segment is even.
- for the rest objects - the centre of the alignment box.

This function may be used, say, for positioning the smart connector's text.

_CENTERY

_CENTERY()
Returns the Y coordinate of the centre of the object. The centre of the object is:
- for the smart connector - the middle of its central segment, if the number of segments is odd, or the crossing point of two middle segments, if the number of the segment is even.
- for the rest objects - the centre of the alignment box.

This function may be used, say, for positioning the smart connector's text.

_CIRCLE_CENTERX

_CIRCLE_CENTERX(X1; Y1; X2; Y2; X3; Y3)
Returns the X coordinate of the centre of the circle, built upon the three points: (X1;Y1), (X2;Y2) and (X3;Y3).

_CIRCLE_CENTERY

_CIRCLE_CENTERY(X1; Y1; X2; Y2; X3; Y3)
Returns the Y coordinate of the centre of the circle, built upon the three points: (X1;Y1), (X2;Y2) and (X3;Y3).

_CIRCLES3RD_X

_CIRCLES3RD_X( X1; Y1; X2; Y2; H)
Returns the X coordinate of the point, that lies at the H distance from the middle point of the vector (X1;Y1) - (X2;Y2). If H is a positive number, this point is to the left of the vector, if negative - the point is to the right of the vector. This function is used to create an arc of the circle upon two points and the height of the arc.

_CIRCLES3RD_Y

_CIRCLES3RD_Y( X1; Y1; X2; Y2; H)
Returns the Y coordinate of the point, that lies at the H distance from the middle point of the vector (X1;Y1) - (X2;Y2). If H is a positive number, this point is to the left of the vector, if negative - the point is to the right of the vector. This function is used to create an arc of the circle upon two points and the height of the arc.

_COMPANYNAME

_COMPANYNAME()
Returns the company name, that you specify in the Document Properties (File/Document Properties).

Example:
"Company: "+_COMPANYNAME()= "Company: Computer Systems Odessa corp."

_COS

_COS(arg)
Returns the cosine of arg (the returned value is within the -1 to 1 range)

_COSH

_COSH(arg)
Returns the hyperbolic cosine of arg.

_CUT

_CUT(arg; iarg)
This function discards a number of significant digits after the point from arg. The iarg parameter indicates how many digits to discard. For negative numbers, it discards the digits before the point.

Example:
_CUT( 123.4567; 3) = 123.456
_CUT(123.4567;-2) = 100
_CUT(123.4567;0) = 123

_DATE

_DATE()
Returns the string with the current system date on your computer. The data format may vary with system and country.

Example:
_DATE() = 04.09.1999 (Mac)
_DATE() = 04 Sep 1999 (Win)

_DEG

_DEG(arg)
Converts arg from radians to degrees.

Example:
_DEG( 3.14) = 180
_DEG(_PI()*3) = 540

_ELLIPSE_ANGLE

_ELLIPSE_ANGLE(koeffX; koeffY; iNumberGeometry; iNumberSegment)
Returns the inclination of the main radius of the ellipse with the central point with (Width*koeffX; Height*koeffY) local coordinates. Other parameters, required for building the ellipse, are taken from the segment with iNumberSegment number of the geometry with the iNumberGeometry number.
This function is the default formula for the D column of the EllipseTo segment in the table.

_ELLIPSE_ASPECT

_ELLIPSE_ASPECT(koeffX; koeffY; iNumberGeometry; iNumberSegment)
Returns the ratio between the large and the small radii of the ellipse with the central point with (Width*koeffX; Height*koeffY). Other parameters, required for building the ellipse, are taken from the segment with iNumberSegment number of the geometry with the iNumberGeometry number.
This function is the default formula for the C column of the EllipseTo segment in the table.

_EVALTEXT

_EVALTEXT(str)
Converts the string value of str to a number.

Example:
_EVALTEXT( "123.456 ") = 123.456
_EVALTEXT( "123") = 123

_FABS

_FABS(arg)
If arg is not zero, returns the absolute value for arg.
If arg equals zero, returns 1.

_FABS(str)
Returns the string value str without changing it.

Example:
_FABS( -3 ) = 3
_FABS( 0 ) = 1
_FABS( 1 ) = 1
_FABS("Text") = "Text"

_FILENAME

_FILENAME()
Returns the filename under which the document is stored.

Example:
_FILENAME() = "Chart.CDD"

_FLOOR

_FLOOR(arg)
Returns the largest integer number less or equal arg.

Examples:
_FLOOR( 123.4567 ) = 123
_FLOOR( -45.345 ) = -46
_FLOOR( 0 ) = 0

_FULLFILENAME

_FULLFILENAME()
Returns the filename under which the document is stored with the full path.
Example:
_FULLFILENAME() = "D:\ConceptDraw\Chart.cdd" (Win)
_FULLFILENAME() = "MyDisk:Desktop Folder:Chart.cdd" (Mac)

_GRAVITY

_GRAVITY(Angle; limit1; limit2)
If Angle is more than limit1 or less than limit2, returns 0,
If Angle is within the [limit1;limit2] range - returns the pi number.
Normally this function is used for orientating the text box, so that the text is readable in whatever position of the object.

Examples:
_GRAVITY(30deg; 15 deg; 165 deg) = 0
_GRAVITY(195deg; 15 deg; 165 deg) = pi
_GRAVITY(Angle;-90 deg;90 deg)

_HYP

_HYP(X; Y)
Returns the length of the hypotenuse of the right-angled triangle with X and Y legs.

Example:
_HYP( 4; 3 ) = 5

_IF

_IF(arg1;arg2;arg3)
If arg1 is a non-zero number, or a non-empty string, the function returns arg2, otherwise - arg3.

Examples:
_IF( 2 > 1; 3; 4 ) = 3
_IF( ""; 3; 4 ) = 4

_LG10

_LG10(arg)
Returns the decimal logarithm of arg.

_LN

_LN(arg)
Returns the natural logarithm of arg.

_LOCALX

_LOCALX(X; Y)
Converts the (X;Y) point from the global coordinates to local coordinates. Returns the X coordinate for the resulting point.

_LOCALY

_LOCALY(X; Y)
Converts the (X;Y) point from the global coordinates to local coordinates. Returns the Y coordinate for the resulting point.

_MAX

_MAX(arg1;arg2)
Returns the largest of the two numbers: arg1 and arg2.

_MAX(arg;str)
_MAX(str;arg)
Returns the number arg (the string value is ignored).

_MAX(str1;str2)
Returns the length for the longest of two strings: str1 and str2.

Examples:
_MAX( 4; 6 ) = 6
_MAX( "Text"’ ; " Big text ") = 8
_MAX( "Text" ; 7 ) =7

_MEASURE

_MEASURE()
Returns the string containing the current unit of measure.

Example:
_MEASURE() = "ft"

_MIN

_MIN(arg1;arg2)
Returns the minimal of two numbers: arg1 and arg2.

_MIN(arg;str)
_MIN(str;arg)
Returns the number arg (the string value is ignored).

_MIN(str1;str2)
Returns the length for the shortest of two strings: str1 and str2.

Examples:
_MIN( 4; 6 ) = 6
_MIN( "Text"’ ; " Big text ") = 8
_MIN( "Text" ; 7 ) =7

_MOD

_MOD(arg1;arg2)
Returns the excess of arg1 divided by arg2

_MOD(str;arg)
_MOD(arg;str)
Returns the number arg it the other argument is the string str.

_MOD(str1;str2)
Returns zero if both arguments are strings.

Examples:
_MOD( 19; 6 ) = 1
_MOD( "Text" ; "Big text") = 0
_MOD( "Text" ; 7 ) =7

_NOT

_NOT(arg)
If arg is zero or an empty string, returns 1.
Otherwise returns 0.

Examples:
_NOT(0)=1
_NOT(123)=0

_OR

_OR(arg1;arg2)
Returns bitwise OR;

_OR(str1;str2)
Returns 1 - if at least one of the strings is non-empty, 0 - if both strings are empty.

_OR(str;arg)
_OR(arg;str)
Returns the number arg.

Examples:
_OR( 1; 0) = 1
_OR("Hello!"; "") = 1
_OR("Text1"; "Text2") = 1
_OR("Text";2) = 2

_PAGEHEIGHT

_PAGEHEIGHT()
Returns the height of the document page. Note, that the page size is set in the Document Properties dialog, under the Page tab.

_PAGENAME

_PAGENAME()
Returns the name of the page to which the object belongs. You can set the name in the Page Properties dialog.

_PAGENUMBER

_PAGENUMBER()
Returns the number of the page to which the object belongs..

_PAGESCOUNT

_PAGESCOUNT()
Returns the number of pages in the document.

_PAGEWIDTH

_PAGEWIDTH()
Returns the width of the document page. Note, that the page size is set in the Document Properties dialog, under the Page tab.

_PI

_PI()
Returns the pi number.

_POW

_POW(arg1;arg2)
Raises arg1 to a power of arg2.

_POW(str;arg)
_POW(arg;str)
Returns the arg number if the other argument is a string.

_POW(str1;str2)
Returns zero if both arguments are strings.

Examples:
_POW( 2; 3 ) = 8
_POW( "Text" ; " Big text ") = 0
_POW( "Text" ; 7 ) = 7

_RAD

_RAD(arg)
Converts arg from degrees to radians.

Examples:
_RAD( 90 ) = 1.57

_RAND

_RAND()
Returns a random value within 0 to 32K range.

_ROUND

_ROUND(arg; iarg)
Returns arg approximated to iarg digits after the point.

Examples:
_ROUND( 123.4567; 3) = 123.457
_ROUND(123.4567;-2) = 100
_ROUND(123.67;0) = 124

_SCALE

_SCALE()
Returns a string describing the current scale of the document in the "N : M" format.

Examples:
_SCALE() = "1 : 1"
_SCALE() = "4 in : 1 ft"

_SETF

_SETF(str; arg)
_SETF(str; strarg)
This function changes the values in the table cells. String str specifies the name of the cell, where to put the data. The arg parameter must contain the new value for the cell. The strarg parameter must contain the string with a new formula for the cell.

Examples:
_SETF( ’’Geometry1.X2’’; ’’Geometry2.X3/2 + Geometry3.X2/4’’)
_SETF(’’Width’’ ; 125 cm)

_SIGN

_SIGN(arg)
Returns the sign of arg:
-1, if arg<0,
1, if arg>0
0, if arg=0

Examples:
_SIGN( 123.4567 ) = 1
_SIGN(-123.4567 ) = -1
_SIGN( 0 ) = 0

_SIN

_SIN(arg)
Returns the sine of arg (the returned value is within -1 to 1 range).

_SINH

_SINH(arg)
Returns the hyperbolic sine of arg .

_SQRT

_SQRT(arg)
Returns the square root from arg. The resulting value is undefined for negative numbers.

_TAN

_TAN(arg)
Returns the tangent of arg.

_TANH

_TANH(arg)
Returns the hyperbolic tangent of arg

_TEXTHEIGHT

_TEXTHEIGHT(str; arg)
This function calculates the height of the text block, when arg is assigned as its width. The str parameter is usually the contents of text field of the object (the TheText field in the table). When calculating the height, this function considers all current text settings for the object (styles, indents and margins, etc).

Examples:
_TEXTHEIGHT(TheText;Width)
_TEXTHEIGHT(TheText;2 in)

_TEXTLEFT

_TEXTLEFT(str; iarg)
Returns first iarg characters of the str string.

Example:
_TEXTLEFT( "A big text."; 5) = "A big"

_TEXTLENGTH

_TEXTLENGTH(str)
Returns the length of the str string (the number of characters in the string).

Example:
_TEXTLENGTH("A big text.") = 11

_TEXTRIGHT

_TEXTRIGHT(str; iarg)
Returns last iarg characters of the str string.

Example:
_TEXTRIGHT( "A big text"; 4) = "text"

_TEXTWIDTH

_TEXTWIDTH(str)
Returns the width of the str string considering all current text settings of the object (styles, indents and margins, etc.). Normally, this function is used to make the text box the same width as the width of the longest string in the object's text.

Example:
_TEXTWIDTH(TheText)

_TIME

_TIME()
Returns current system time in the "hours:minutes:seconds" format.

Example:
_TIME() = "19:27:13"

_TITLE

_TITLE()
Returns the title of the document. The title is specified in the Document Properties dialog, the General tab.

_VALTOTEXT

_VALTOTEXT(arg)
Converts the arg number into a string and returns the string.

Example:
_VALTOTEXT( 567.89 ) = "567.89"

_VALTOTEXTMES

_VALTOTEXTMES(arg)
Converts the arg number in a string considering the currently used units of measure.

Examples:
_VALTOTEXTMES(15) = "1/16"
_VALTOTEXTMES(1.5 in)+" in." = "1 1/2 in."

_WORLDX

_WORLDX(X;Y)
Converts the (X;Y) point from local coordinates to global coordinates. Returns the X coordinate for the resulting point.

_WORLDY

_WORLDY(X;Y)
Converts the (X;Y) point from local coordinates to global coordinates. Returns the Y coordinate for the resulting point.

_XOR

_XOR(arg1;arg2)
Returns the bitwise XOR.

_XOR(str1;str2)
Returns 1 - if only one string is not empty; 0 - if both strings are empty, or both are not empty.

_XOR(str;arg)
_XOR(arg;str)
Returns the arg number.

Examples:
_XOR( 1;1 ) = 0
_XOR("Text1";"Text2") = 0
_XOR("Text"; 2) = 2


Working with other programs

Working with other programs (OLE).

ConceptDraw is an OLE-compatible program (supports Object Linking and Embedding). Due to this feature, you can use your ConceptDraw objects in other OLE-compatible programs, as well as work with other programs' objects from within ConceptDraw.

OLE-compatibility means that you can combine objects created in different programs, such as pictures, audio and video files, and others, within a single document.

Linking

You can link data from other programs to your document. When you link to an another program object, your document stores not the linked object itself, but only a reference to the location where its file resides. When you change the original data file, all changes are reflected in your document.

To modify a linked object, call its context menu. The Linked <Application> Object menu item includes a submenu of actions you can perform on the linked objects: Edit and Open. Click any to launch the <Application> program, where you can edit the linked object.

Note: it's usually enough to double-click an OLE object to launch its editing program.

Embedding.

You can embed objects, created in other programs into your Concept Draw document, and use Concept Draw objects in other programs - for instance, illustrate your Word documents with Concept Draw drawings. All embedded data is stored with the document, even if it the original file exists.

To modify an embedded object, right-click it. The lower item on the context menu includes a submenu of actions you can perform on the embedded object: Edit and Open. Click any to launch the object's application, where the object can be edited.

Note: it's usually enough to double-click an OLE object to launch its editing program.

Inserting a new OLE object

If there are other OLE-compatible programs on your system, you can insert their new, empty objects in your Concept Draw document, and then edit them from within Concept Draw.

To do this, make the following steps:

- Choose Object under the Insert menu. The Insert Object dialog will open.
- Choose Create New to create a new object.
- From the Object Type list, choose the type you want. If there's no such type in the list, it's possible that the corresponding application is not installed on your system.
- If you only want the object to be displayed as icon, choose Display As Icon option.
- Click OK.

You'll get into the new object editing window. To finish editing, click away from the object (if you're in the ConceptDraw window), or choose File/Exit & Return to ConceptDraw (if the OLE-application opened in a new window).

Editing an OLE object

To edit an OLE object, that already exists in your document, call the context menu for the object. A new submenu will appear at the bottom of the menu - its exact name varies with the type of the chosen object (for instance, for Microsoft Word objects it's called Document Object). It includes two options:

-Edit - to edit the object from within ConceptDraw.
-Open - to open the object's application in a new window and edit the object there.

After you choose an item, the editing starts. To finish editing, click away from the object (if you are within Concept Draw window), or choose File/Exit & Return to Concept Draw (if you're in the object is program).

Note: it's usually enough to double-click an OLE object to launch its editing program.

Inserting an object from a file

You may open an existing OLE-compatible file that contains the object you want to insert in ConceptDraw. To do this:

- Choose Insert/Object from the menu. Insert Object dialog box will open.
- Choose Create From File option.
- Click Browse.
- Select a file, that you want to insert in your document.
- If you choose the Link option, the object in the file will be stored apart from the document and all changes, made in the object file will reflect on your document. Otherwise, the object will be embedded and stored with the document
- If you want the object displayed as icon only, choose Display As Icon option.
- Click OK.

Note: dragging a file from Explorer into ConceptDraw has the same effect as inserting OLE object from the file with the Display As Icon option chosen.

Inserting an object from an open OLE-compatible program

If you want to insert in your ConceptDraw document an object from an already running OLE-compatible program, do the following:

- Copy the object on the Clipboard.
- In ConceptDraw, open the document in which you want to insert the object.
- From the Edit menu, choose Paste Special.

You may also use the Drag & Drop functionality for inserting OLE objects. Select the object in the OLE-compatible application, drag it into the open ConceptDraw window and drop it there. The result will be the same as if you used the Paste operation.

Creating a new ConceptDraw object in an OLE-compatible program

You can create ConceptDraw objects staying within another OLE-program.

Do the following:

- In the OLE-compatible program, open the document, where you want to insert a ConceptDraw object.
- On the Insert menu, choose Object. Insert Object dialog box will open.
- Choose Create New option.
- From the list of available object types, choose ConceptDraw Document.
- If you want the object to be displayed as icon only, choose Display As Icon option.
- Click OK.

You'll start editing the new object in the ConceptDraw window. To get back to the primary application, on the File menu click Exit & Return to <Application Name>.

Editing a ConceptDraw object within another OLE-compatible program.

To modify a ConceptDraw object within another OLE-compatible program, right-click the object to get its context menu. The ConceptDraw Document item gives you the choice of two actions: Edit or Open. Choosing any of them turns the object editing mode on. To finish editing, choose Exit & Return to <Application Name> under the File menu.

Note: it's usually enough to double-click an OLE object to launch its editing program.

Inserting an object from a ConceptDraw file into other OLE-compatible programs.

You can insert objects stored in Concept Draw files in other OLE-compatible programs.
To do this, in the OLE-compatible program

- From the Insert menu, choose Object. The Insert Object dialog will open.
- Choose Create From File option.
- Click Browse.
- Select the ConceptDraw file (a .cdd file) that you want to insert in the document.
- If you choose the Link option, the object in the file will be stored apart from the document and all changes, made in the object file will reflect on your document. Otherwise, the object will be embedded and stored with the document
- If you want the object to be displayed as icon only, check Display As Icon option.
- Click OK.

Inserting an object from an open ConceptDraw document into another OLE-compatible program.

If you have an object in an open document, that you want to insert in another OLE-compatible program, do the following:

- Select the object.
- From the Edit menu, choose CopyObject.
- In the target program, open the document where you want to insert the object.
- From the Edit menu, choose Paste or Paste Special.


Keyboard Shortcuts.

Document

 |  | Action
Ctrl+N | Cmd+N | Create New Document
Ctrl+O | Cmd+O | Open Document/Template/Workspace
Ctrl+S | Cmd+S | Save Document
Ctrl+P | Cmd+P | Print document
PgUp | PgUp | Scroll one window up
PgDn | PgDn | Scroll one window down
Ctrl+Home | Cmd+Home | Go to the top-left corner of the page
Ctrl+End | Cmd+End | Go to the bottom-left corner of the page
Ctrl+PgUp | Cmd+PgUp | Go to the previous document page
Ctrl+PgDn | Cmd+PgDn | Go to the next document page

Windows

 |  | Action
Ctrl+F4 | Cmd+W | Close current window
Ctrl+Tab or Ctrl+F6 | - | Set next window as active
Ctrl+"+" | Cmd+"+" | Zoom In
Ctrl+"-" | Cmd+"-" | Zoom Out
F3 | F3 | Show Table
F4 | F4 | Show/Hide Library Window

Undo/Redo

 |  | Action
Ctrl+Z or Alt+Backspace | Cmd+Z | Undo last action
Ctrl+Y | Cmd+Y | Redo

Edit

 |  | Action
Ctrl+X or Shift+Del | Cmd+X | Cut into the Clipboard
Ctrl+C or Ctrl+Ins | Cmd+C | Copy into the Clipboard
Ctrl+V or Shift+Ins | Cmd+V | Paste from the Clipboard
Ctrl+Shift+V | Cmd+Shift+V | Paste into position
Del | Del or Delete | Delete selected object
Ctrl+D | Cmd+D | Duplicate object
Ctrl+B | Cmd+B | Send To Back
Ctrl+F | Cmd+F | Bring To Front
Ctrl+Shift+B | Cmd+Shift+B | Send To Step Back
Ctrl+Shift+F | Cmd+Shift+F | Bring To Step Front
Ctrl+L | Cmd+L | Rotate Left (90 degrees)
Ctrl+R | Cmd+R | Rotate Right (90 degrees)
Ctrl+Left/Right Arrow | Cmd+Left/Right Arrow | Rotate by 1 degree
Ctrl+Shift+Left/Right Arrow | Cmd+Shift+Left/Right Arrow | Rotate by 0.1 degree
Arrows | Arrows | Move the object one pixel at a keystroke
Shift+Arrows | Shift+Arrows | Move the object a few pixels at a keystroke
Ctrl+J | Cmd+J | Flip Vertical
Ctrl+H | Cmd+H | Flip Horizontal
Ctrl+G | Cmd+G | Group
Ctrl+U | Cmd+U | Ungroup
Ctrl+E | Cmd+E | Edit Group
Ctrl+Shift+E | Cmd+Shift+E | Edit hyperlink
Ctrl+Shift+H | Cmd+Shift+H | Open hyperlink

Selecting

 |  | Action
Ctrl+A | Cmd+A | Select all objects on page
Tab | Tab | Select next object in the order list
Shift+Tab | Shift+Tab | Select previous object in the order list

Help

F1 - Call Help.

Switching between tools

 |  | Action
Ctrl+1 | Enter, Ctrl+1 | Activate Select tool
Ctrl+2 | Ctrl+2 | Activate Rotate tool
Ctrl+3 | Ctrl+3 | Activate Line tool
Ctrl+4 | Ctrl+4 | Activate Sector tool
Ctrl+5 | Ctrl+5 | Activate Arc tool
Ctrl+6 | Ctrl+6 | Activate Spline tool
Ctrl+7 | Ctrl+7 | Activate Rectangle tool
Ctrl+8 | Ctrl+8 | Activate Ellipse tool
Ctrl+9 | Ctrl+9 | Activate Connector tool
Ctrl+0 | Ctrl+0 | Activate Connection Point tool
F2 | F2 | Activate Edit Text tool
Space | Space | Activate Scroll Hand Tool

Library

 |  | Action
Ctrl+Shift+Click | Cmd+Shift+Click | Swap objects in the library. One of the object must be selected.
Ctrl+Shift+I | Cmd+Shift+I | Replaces the selected object in the library with the object selected in the document, maintaining the library object's icon.

Table

F2 - starts editing the selected cell.

In the editing mode, clicking another cell:
single click - inserts the formula from the cell you clicked into the input field.
Ctrl+click (Cmd+click) - inserts the numeric value of the cell into the input field.
Alt+click - inserts the cell title into the input field.

Edit text

 |  | Action
Ctrl+B | Ctrl+B | Bold
Ctrl+I | Ctrl+I | Italic
Ctrl+U | Ctrl+U | Underline
- | Ctrl+O | Outline
- | Ctrl+S | Shadow
- | Ctrl+C | Condense
Ctrl+L | Ctrl+L | Align on the left
Ctrl+E | Ctrl+E | Align on the center
Ctrl+R | Ctrl+R | Align on the right
Ctrl+">" | Ctrl+">" | Increase font
Ctrl+"<" | Ctrl+"<" | Decrease font
Ctrl+F | - | Select font
Ctrl+S | - | Select font size
Esc | Enter, Esc | Finish editing

Working with the mouse.

-Clicking objects with the Shift key held down selects each object you click.
-Rotate with Ctrl(Cmd) - rotate around common rotation centre.
-Resize with Shift - toggle between unproportional and proportional resizing.
-Drawing with Shift held down - constrained drawing mode.
-InsertVertex with Ctrl(Cmd) - cut line in this place.
-Stamp with Shift: for 2D objects - proportional resize; for 1D objects -invert connector's direction.
-Ctrl(Cmd), Shift for Connection Point and Edit Text tools - allows to select objects.
-Clicking on the alignment box of the object switches between the Select and Rotate tools.
-Dragging an object with the Ctrl(Option) key held down copies the object.
-Holding down the Alt(Cmd) key inverts the Snap mode.
-Esc when moving, resizing or dragging an object - cancels the operation.


Brief Menu Tour

"File" Menu Items

MenuFile.gif (9581 bytes)

New->Browse Templates
Creates a new document from the template.
Please refer to the "Creating a new document from a template" section for more detailed information.

New->Document
Creates a new document.
See the "Creating a new document" section for more information.

Open
Opens an existing document. Also lets you open other ConceptDraw files: templates, libraries, workspace files.
For more specific information, please refer to the "Opening a document", "Opening a library", "Creating a new document from a template", "Opening documents and libraries by using the workspace" sections.

New Library
Creates a new library.
See the "Creating a new library" section for details.

Open Library
Opens an existing library.
See the "Opening a library" section for specifics.

Close
Closes the active document.

Save
Saves the active document.
Please refer to the "Saving the document (Save, Save As, Save Copy As)" section for more information.

Save As
Saves the active document under a new filename.
Please refer to the "Saving the document (Save, Save As, Save Copy As)" section for more information.

Save Copy As
Saves the copy of document under a new filename.
Please refer to the "Saving the document (Save, Save As, Save Copy As)" section for more information.

Save As Template
Saves/creates a template file
For specifics, refer to the "Creating a template file" section.

Save Workspace
Saves/creates a workspace file
For specifics, refer to the "Creating a workspace file" section.

Import
Opens picture files of various graphic formats.
Please refer to the "Importing files" section for more specific information.

Export
This option saves the document or a group of selected objects in a graphic format, or as an HTML file.
Please refer to the "Exporting files" section for more specific information.

Print Preview
Lets you view - prior to actual printing - how the document will print.
For specifics, refer to the "Previewing the document" section.

Print
Prints the document.
Please refer to the "Printing" section for more specific information.

Print Setup
Selects the paper size, orientation and some other printer settings.
Please refer to the "Printer setup" section for more specific information.

Send
Sends the document via e-mail.
Please refer to the "Sending a document by e-mail" section for more specific information.

Document Properties
Displays the dialog box, where you can specify the document name, size and orientation of the document pages, scale, measurement system and other parameters.
For specifics, please refer to the "Document Properties dialog (General, Page, Settings, Printing)" section.

Recent Files
Shows a list of the four most recent documents you've worked on in ConceptDraw. Clicking on a document name will reopen it.

Open Recent
Lets you select one of the ten most recent documents you've worked on from the drop-down list. Clicking on the document name will reopen it.

Exit
Closes all opened documents and exits ConceptDraw. If you haven't saved changes you've made to a document, the program will offer you to save the document before exiting.

"Edit" Menu Items

MenuEdit.GIF (3277 bytes)

Undo
Reverses the last operation you performed.
See the "Undo and redo operations" section for details.

Redo
Reverses the last Undo operation.
See the "Undo and redo operations" section for details.

Cut
Removes selected objects or text and places them on the Clipboard.
Please refer to the "Copying and pasting" section for more specific information.

Copy
Copies selected objects or text and places them on the Clipboard.
Please refer to the "Copying and pasting" section for more specific information.

Paste
Pastes the contents of the Clipboard onto the document
Please refer to the "Copying and pasting" section for more specific information.

Paste Special
Inserts the contents of the Clipboard onto the document, letting you specify the format in which the pasted object will be stored. This option is mostly used for inserting OLE-objects.
For specifics, refer to the "Inserting an object from an open OLE-compatible program" section.

Paste From Clipboard
Takes the contents of the Clipboard and inserts it into the document as a picture.

Put Into Library
Copies selected object from the document into the library.
For specifics, refer to the "Adding an object from the document to a library" section.

Replace Library Object
Replaces a selected library object with a new one without changing the icon.
For more information refer to the "Replacing an object under the existing library icon" section.

Delete
Deletes selected objects or handles.
See the "Deleting objects" section for details.

SelectAll
Selects all objects on the active page of the document.

Duplicate
Duplicates selected objects.
See the "Duplicating objects" for specifics.

Object
Starts editing of selected OLE-object.
Please refer to the "Editing an OLE object" section for specifics.

Preferences
Brings up the dialog where global environment properties can be set: measurement units, page size for all new documents, path to libraries and samples, supplied with the program, etc.
Refer to the "Program configurations" section for more detailed information.

"View" Menu Items

MenuView.gif (5641 bytes)

Toolbars...
Displays a dialog, where you can choose which toolbars to show.

Zoom In
Magnifies the document for detailed editing.
Refer to the "Zooming" for more specific information.

Zoom Out
Reduces the document and lets you see and work with more of the document at one time.
Refer to the "Zooming" for more specific information.

Zoom
Lets you choose one of the zoom levels within the 50% - 400% range from the submenu.

Last Zoom
Returns the document to the last zoom setting.

Actual Size
Sets zoom to 100%.

Page Width
Sets the zoom level so that the page width fits in the window.

Whole Page
Sets the zoom level so that the entire page fits in the window.

Rulers
Shows/hides the rulers.

Grid
Shows/hides the background grid.

Guides
Shows/hides the guide lines.

Connection Points
Shows/hides the connection points of objects.

Connection Points In Groups
Shows/hides the connection points of objects in groups.

Page Breaks
Shows/hides the unprinted areas of the document pages.

Libraries
Shows/hides the library window.

Layer Properties
Displays the dialog, where you can modify the layer properties. There you may name a layer, specify whether a layer is visible, active, or locked, change the layer color.
More detailed information can be found in the "Working with layers" section.

"Insert" Menu Items

Picture
Imports a picture and inserts it into the document.
See the "Pictures" section for specifics.

Hyperlink
Assigns a hyperlink to the selected object. You can use this hyperlink to jump to another page of the document, open a document, launch an application, open an Internet page in the browser.
For specifics, please refer to the "Hyperlink" section.

Object
Inserts OLE-object into the document.
Please refer to the "Working with other programs (OLE)" section for details.

"Format" Menu Items

MenuFormat.gif (3639 bytes)

Line
Displays the dialog box, where you can change the line properties of the selected object, and apply arrowheads to the line ends.
See the line "Line Properties" section for more specific information.

Fill&Shadow
Displays the dialog, where you can change the fill colors for the object and its shadow.
Refer to the "Fill patterns and colors" and "Shadows" sections for more specific information.

Text
Brings up the dialog, where the properties of the selected text block can be set. In the dialog, you may select the font, font size, fond color and style, margins and indentation.
Refer to the "Text Properties dialog box" section for more specific information.

Hyperlink->Open
Follows the hyperlink associated with the selected object. Depending on the hyperlink type, this command can open a page of the document, open another document, launch an application, or open an Internet page in an available browser.
For more specific information, refer to the "Hyperlink" section.

Hyperlink->Edit
Opens the dialog where hyperlink properties can be edited.
For more specific information, refer to the "Hyperlink" section.

Hyperlink->Remove
Removes the hyperlink associated with the selected object.

Protection
Displays the Protection dialog, where you can lock some properties of the selected object against being changed: for instance, the width, height, angle and other.
Please refer to the "Protection" section for specifics.

Double-Click
Assigns the double-click action of the object.
See the "Double click" section for details.

Set Layer
Moves selected objects onto another layer.
For more specific information, refer to the "Working with layers" section.

Behaviour
Opens the Behaviour dialog box, where you can specify whether the object is 1-Dimensional or 2-Dimensional. Here you may also set how the object behaves when resized, show/hide its alignment box and handles.
Please see the "Behaviour" section for more detailed information.

Information
Calls the Information dialog, where you can name and describe the selected object.
See the "Information" section for specifics.

"Figure" Menu Items

MenuFigure.gif (7964 bytes)

Send To Back
Sends selected objects to the back of the order list.
Please refer to the "Changing the order in which objects are displayed" section for more detailed information.

Bring To Front
Bring selected objects to the front of the order list.
Please refer to the "Changing the order in which objects are displayed" section for more detailed information.

Send To Step Back
Positions selected objects one step lower in the order list.
Please refer to the "Changing the order in which objects are displayed" section for more detailed information.

Bring To Step Front
Positions selected objects one step higher in the order list.
Please refer to the "Changing the order in which objects are displayed" section for more detailed information.

Rotate Left (90)
Rotates selected objects 90 degree counterclockwise.
See the "Rotating objects" for more details.

Rotate Right (90)
Rotates selected objects 90 degree clockwise.
See the "Rotating objects" for more details.

Flip Vertical
Creates vertically mirrored copies of the selected objects.
Please refer to the "Flipping objects" section for specifics.

Flip Horizontal
Creates horizontally mirrored copies of the selected objects.
Please refer to the "Flipping objects" section for specifics.

Edit Text
Turns on the text editing mode for the selected object.
For specifics, refer to the "Modifying text in an object" section.

Show Table
Open the selected object's parameter table in a separate window.
For more specific information, please refer to the "Working with the table" section.

Group
Creates a group of selected objects into a single unit.
For more specific information, please refer to the "Grouping objects" section.

Ungroup
Ungroups the selected grouped unit.
For more specific information, please refer to the "Grouping objects" section.

Edit Group
Opens a new window, where you can edit inside the selected grouped unit.
For more specific information, please refer to the "Grouping objects" section.

Operations->Combine
Combines several selected objects into one object. Each object is converted into a separate geometry.
Please refer to the "Combine" section for specifics.

Operations->Join
Joins several selected objects so they form a single object. As the result of this operation, all geometries with coinciding ends are considered as one solid geometry.
Please refer to the "Join" section for specifics.

Operations->Scattering
Forms an individual object for each geometry of the selected object.
Please refer to the "Scattering" section for specifics.

"Page" Menu Items

MenuPage.gif (1614 bytes)

Add
Adds a new empty page to the active document.
See the "Adding a page" section for details.

Delete
Removes the selected page of the document.
See the "Deleting a page" section for details.

Reorder
Allows you to rearrange pages in the active document.
For specifics, refer to the "Reordering pages" section.

Go To
Activates the specified page.
For specifics, refer to the "Jumping to another page" section.

Properties
Lets you rename the page.
Please see the "Naming a page" section for details.

"Tools" Menu Items

MenuTools.GIF (2021 bytes)

Centre Page
Positions selected objects in the centre of the page.

Centre Vertically
Positions selected objects in the centre of the page vertically.

Centre Horizontally
Positions selected objects in the centre of the page horizontally.

Color Palette
Allows to modify, load or save the color palette of the active document
For specifics, refer to the "Color Palette" section.

Grid
Displays the dialog where the grid properties of the active document can be modified. Here you can set the grid spacing, its origin, etc.
Please see the "Grid" section for details.

Snap&Glue
Calls the dialog where snapping and gluing properties can be set up.
Refer to the "Snapping and gluing" section for more detailed information.

"Window" Menu Item

New Window
Opens a new window with the active document. It's a useful feature when you're editing a page, but need to see its original copy at the same time.

Cascade
Arranges all open windows so that each next window appears slightly down and to the right from the previous one. This way you can access each window quickly.

Tile
Resizes and rearranges all open windows so that they don't overlap one another.

Close All
Closes all open windows of the program, offering you to save all unsaved data.

"Help" Menu Item

ConceptDraw Help
Calls ConceptDraw Help. This opens a separate window, where you can see a number of articles containing information on how to use the product. You may read or print the articles, search them for necessary information.

ConceptDraw On the Web -> ConceptDraw Web Site
Launches your Internet browser and goes to the ConceptDraw web site:
http://www.conceptdraw.com/

ConceptDraw On the Web -> Register Now
Registers the program owner on the ConceptDraw web site:
http://www.conceptdraw.com/Register/

About ConceptDraw
Displays general information about the program: the title, version number, copyright information.